GNU bug report logs - #28596
Gnus gets into an ambiguous plugged/unplugged state that prevents retrieval of news

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: nljlistbox2@HIDDEN (N. Jackson); dated Mon, 25 Sep 2017 15:02:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 27 Sep 2019 15:25:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 11:25:57 2019
Received: from localhost ([127.0.0.1]:48431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDs85-00031n-Bi
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 11:25:57 -0400
Received: from quimby.gnus.org ([80.91.231.51]:33652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDs83-00031b-Gt
 for 28596 <at> debbugs.gnu.org; Fri, 27 Sep 2019 11:25:55 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDs7z-00033O-A9; Fri, 27 Sep 2019 17:25:53 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
Subject: Re: bug#28596: 26.0.60; Gnus gets into an ambiguous
 plugged/unplugged state that prevents retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN> <83a7r7ndw7.fsf@HIDDEN>
 <8736wy7uai.fsf@HIDDEN>
 <87y3eq6f8u.fsf@HIDDEN>
 <87tvpe6e2x.fsf@HIDDEN>
 <877em0ii43.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 17:25:50 +0200
In-Reply-To: <877em0ii43.fsf@HIDDEN> (N. Jackson's message of
 "Thu, 12 Jul 2018 11:33:32 -0400")
Message-ID: <871rw1lq0x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  nljlistbox2@HIDDEN (N. Jackson) writes: > Yes, the problem
 still exists. Gnus got into the confused > plugged/unplugged state again
 this morning. I've skimmed this thread -- the original bug was about `C-g'
 not working when Gnus hangs. I think this has likely been fixed -- Gnus now
 binds `inhibit-quit' to nil when bits of Gnus are running off o [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

nljlistbox2@HIDDEN (N. Jackson) writes:

> Yes, the problem still exists. Gnus got into the confused
> plugged/unplugged state again this morning.

I've skimmed this thread -- the original bug was about `C-g' not working
when Gnus hangs.  I think this has likely been fixed -- Gnus now binds
`inhibit-quit' to nil when bits of Gnus are running off of a timer.  (In
Emacs 27.)

Do you see these problems in Emacs 27?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 12 Jul 2018 15:45:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 12 11:45:42 2018
Received: from localhost ([127.0.0.1]:57260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fddmk-0004wb-OW
	for submit <at> debbugs.gnu.org; Thu, 12 Jul 2018 11:45:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51519)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fddmg-0004wI-4X
 for 28596 <at> debbugs.gnu.org; Thu, 12 Jul 2018 11:45:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fddmW-0003CD-Rb
 for 28596 <at> debbugs.gnu.org; Thu, 12 Jul 2018 11:45:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45183)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fddmW-0003Be-HL; Thu, 12 Jul 2018 11:45:24 -0400
Received: from [176.228.60.248] (port=3392 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fddmV-0006L5-VB; Thu, 12 Jul 2018 11:45:24 -0400
Date: Thu, 12 Jul 2018 18:45:23 +0300
Message-Id: <83wou0e9v0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
In-reply-to: <877em0ii43.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN> <83a7r7ndw7.fsf@HIDDEN>
 <8736wy7uai.fsf@HIDDEN>
 <87y3eq6f8u.fsf@HIDDEN>
 <87tvpe6e2x.fsf@HIDDEN> <877em0ii43.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Cc: eric@HIDDEN,  larsi@HIDDEN,  28596 <at> debbugs.gnu.org
> Date: Thu, 12 Jul 2018 11:33:32 -0400
> 
> Yes, the problem still exists. Gnus got into the confused
> plugged/unplugged state again this morning.

Thanks.  I hope the Gnus developers will look into this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 12 Jul 2018 15:33:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 12 11:33:41 2018
Received: from localhost ([127.0.0.1]:57252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fddbB-0004eC-Ez
	for submit <at> debbugs.gnu.org; Thu, 12 Jul 2018 11:33:41 -0400
Received: from mail-io0-f169.google.com ([209.85.223.169]:34239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1fddb9-0004e0-R2
 for 28596 <at> debbugs.gnu.org; Thu, 12 Jul 2018 11:33:40 -0400
Received: by mail-io0-f169.google.com with SMTP id l7-v6so28623122ioj.1
 for <28596 <at> debbugs.gnu.org>; Thu, 12 Jul 2018 08:33:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=5W3wOePmfegVDEhGK2NG/y7tgK5uZLHnZOmUxF5gvsw=;
 b=ZHltKcU7n/cP9W81fSwUWVIFP1K4hS/A8GNrQOXk7C0tpfrl2z/UNRzEcUoliPcKXV
 TR/97DXJdY0YBFH3HJDiwCNXdzJgeKrOiVBThWECg+Vn90eEbRrEXRwcdXs4r/BpWBwt
 r7pYCWiDH5qradhFTB2u3F3oz1uWpd9Upql3G57558IcFtRHID9OyWzc/l3juoJ9Dnmg
 +URsfaS4u7HXz7PGyAvkJ6XTHcF4AODsiQd7CbjoMTJWc2ZrHxZP4G0nbNXcuXpBYl6a
 b3MP/9MYUqxjhDixnHlHLE4c4QyibVH011mv4wXtSxJNFIYEDkne/3U7sF04McKCViY+
 rKdw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=5W3wOePmfegVDEhGK2NG/y7tgK5uZLHnZOmUxF5gvsw=;
 b=g8CVqCeo9bzt9gfTu8EuQuCWu9oZtEXZV6Z9lkIRTBpGcIh1lnW7uKQR+H3rU4iOMz
 uuu+idpEebIn6oREU/f+MVfi6HeCS5raR5+fkmmgPbXHxDE2KdD43FtWgCB+g87f7ACM
 tFMPru73m/M/vxCM7QjpqcRNweUTyycCChR9xHktoqt4YxCG7CyrTxrj5s946pPd200O
 pnYvkz2n3RocV5G4vg+pUoQO+mfsmwRzZVGIXImN21HEgHTZwYK9e1U+/ed0ePZKoIGV
 /Y3pCJQE12K+sdlgzeRQDrzqz8GByu4L/QZyHbQcyOaLfgkUmUjCLd6UkG7esOwfO+GN
 IzHw==
X-Gm-Message-State: AOUpUlFzqYsrmDiXXTG7X9wFPNOuxEYNY08T6BkR7BZEe5YREsJrNchh
 FQOkcF8adOqG1TtGpaXswQrnDw==
X-Google-Smtp-Source: AAOMgpczasvcNGJlS4IB4cWr96MCaHZsYHUfbIpiDm3xKcxV5/WPMEJNJE1lv3SGrHkzSllEyyFooA==
X-Received: by 2002:a6b:fb04:: with SMTP id
 h4-v6mr8433335iog.193.1531409614076; 
 Thu, 12 Jul 2018 08:33:34 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none ([72.139.63.146])
 by smtp.gmail.com with ESMTPSA id l142-v6sm2843135itb.21.2018.07.12.08.33.33
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 12 Jul 2018 08:33:33 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN> <83a7r7ndw7.fsf@HIDDEN>
 <8736wy7uai.fsf@HIDDEN>
 <87y3eq6f8u.fsf@HIDDEN>
 <87tvpe6e2x.fsf@HIDDEN>
Date: Thu, 12 Jul 2018 11:33:32 -0400
In-Reply-To: <87tvpe6e2x.fsf@HIDDEN> (N. Jackson's message of
 "Wed, 04 Jul 2018 14:38:46 -0400")
Message-ID: <877em0ii43.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

At 14:38 -0400 on Wednesday 2018-07-04, N. Jackson wrote:
>
>>> At 19:50 +0300 on Wednesday 2018-07-04, Eli Zaretskii wrote:
>>>>
>>>> Is it possible for you to try the branch? I think it's
>>>> important to know whether this problem still exists on the
>>>> release branch.

> I have really built the emacs-26 branch [1] this time!
>
> As promised, I will use it from now on as my every-day Emacs and
> report back here if I see the bug again.
>
> [1] Repository revision: 0dce5e59206db7bd0b9cd43ae712272105300ae4

Yes, the problem still exists. Gnus got into the confused
plugged/unplugged state again this morning.

FWIW:

M-x emacs-uptime RET
==> 5 days, 0 hours, 26 minutes, 55 seconds

Memory information:
((conses 16 1153669 478417)
 (symbols 48 121724 355)
 (miscs 40 24187 11415)
 (strings 32 308736 20050)
 (string-bytes 1 12884595)
 (vectors 16 74179)
 (vector-slots 8 2504362 73640)
 (floats 8 2016 1881)
 (intervals 56 41378 48502)
 (buffers 992 323))

After Gnus got into the confused state and after trying for several
minutes to get it back to it's senses, I exited Gnus (but not Emacs) and
restarted Gnus (with M-x gnus RET) and it was still in it's stuck state
and it printed these messages as it started:

  20180712T104052.549> Reading /home/nlj/.newsrc.eld...
  20180712T104052.735> Opening nnfolder server on archive...
  20180712T104052.736> Opening nnfolder server on archive...done
  20180712T104052.737> Opening nntp server on nntp.olduse.net...
  20180712T104132.771> Opening nntp server on nntp.olduse.net...failed: >>> (error nntp.olduse.net/nntp Name or service not known)
  20180712T104132.772> Opening nntp server on nntp.aioe.org...
  20180712T104212.811> Opening nntp server on nntp.aioe.org...done
  20180712T104212.811> Opening nntp server on dusty...
  20180712T104252.851> Opening nntp server on dusty...failed: >>> (error news.gmane.org/nntp Name or service not known)
  20180712T104252.852> Opening nntp server on news.gmane.org...
  20180712T104332.887> Opening nntp server on news.gmane.org...done
  20180712T104332.887> Opening nnimap server on Local Dovecot Mailstore...
  20180712T104332.888> Opening connection to localhost via tls...
  20180712T104333.079> Opening connection to localhost...done
  20180712T104333.080> Opening nnimap server on Local Dovecot Mailstore...done
  20180712T104333.144> No new newsgroups
  20180712T104333.161> Checking new news...
  20180712T104333.164> Reading active file via nnnil...
  20180712T104333.164> Reading active file via nnnil...
  20180712T104333.164> Reading active file via nnnil...done
  20180712T104333.164> Reading active file from nntp.olduse.net via nntp...
  20180712T104333.164> Opening nntp server on nntp.olduse.net...
  20180712T104333.165> Server nntp+nntp.olduse.net previously determined to be down; not retrying
  20180712T104333.165> Opening nntp server on nntp.olduse.net...failed: >>> (error news.gmane.org/nntp Name or service not known)
  20180712T104333.192> Opening nntp server on nntp.aioe.org...
  20180712T104333.193> Opening nntp server on nntp.aioe.org...done
  20180712T104333.194> Opening nntp server on news.gmane.org...
  20180712T104333.195> Opening nntp server on news.gmane.org...done
  20180712T104333.201> nnimap read 0k from localhost
  20180712T104333.408> Reading active file from archive via nnfolder...
  20180712T104333.409> Opening nnfolder server on archive...
  20180712T104333.410> Opening nnfolder server on archive...done
  20180712T104333.410> Reading active file from archive via nnfolder...
  20180712T104333.411> Reading active file from archive via nnfolder...done
  20180712T104333.412> Reading active file via nnfolder...
  20180712T104333.412> Opening nnfolder server...
  20180712T104333.413> Opening nnfolder server...done
  20180712T104333.440> Reading incoming mail from file...
  20180712T104333.441> nnfolder: Reading incoming mail (no new mail)...done
  20180712T104333.442> Reading active file via nnfolder...
  20180712T104333.443> Reading active file via nnfolder...done
  20180712T104333.443> Reading active file via nndraft...
  20180712T104333.446> Reading active file via nndraft...
  20180712T104333.447> Reading active file via nndraft...done
  20180712T104333.448> Checking new news...done
  Warning: Opening nntp server on nntp.olduse.net...failed: >>> (error news.gmane.org/nntp Name or service not known); Server nntp+nntp.olduse.net previously determined to be down; not retrying; Opening nntp server on dusty...failed: >>> (error news.gmane.org/nntp Name or service not known); Opening nntp server on nntp.olduse.net...failed: >>> (error nntp.olduse.net/nntp Name or service not known)

The errors for olduse.net happen all the time (I suspect the site has
gone away), so I assume they are unrelated, but the second message at
20180712T104333.165 seems odd: it appears to suggest that it was
checking olduse.net and gmane.org failed. Or maybe I'm just not reading
that right.

[The server I have set up with the name of "dusty" is on gmane, so the
messages about gmane not being known when checking dusty do make sense.]

I then exited Gnus and exited Emacs, restarted Emacs, restarted Gnus and
everything was back to working as normal.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 4 Jul 2018 18:41:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 14:41:53 2018
Received: from localhost ([127.0.0.1]:46990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1famir-0006nH-Ez
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:41:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54591)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1famim-0006mz-N7
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:41:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1famid-0000Wf-PQ
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:41:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42795)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1famid-0000WK-Ld; Wed, 04 Jul 2018 14:41:35 -0400
Received: from [176.228.60.248] (port=4288 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1famid-0008DC-2f; Wed, 04 Jul 2018 14:41:35 -0400
Date: Wed, 04 Jul 2018 21:41:33 +0300
Message-Id: <831scionc2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
In-reply-to: <87tvpe6e2x.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN> <83a7r7ndw7.fsf@HIDDEN>
 <8736wy7uai.fsf@HIDDEN>
 <87y3eq6f8u.fsf@HIDDEN> <87tvpe6e2x.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Cc: eric@HIDDEN,  larsi@HIDDEN,  28596 <at> debbugs.gnu.org
> Date: Wed, 04 Jul 2018 14:38:46 -0400
> 
> OT: Compared to the five "potential null pointer derefernce"
> warnings on master there is only one on emacs-26. Is this
> normal? (It feels to me as if one is one too many.)
> 
>   indent.c: In function ‘scan_for_column’:
>   indent.c:69:10: warning: potential null pointer dereference [-Wnull-dereference]
>      return 0;
>             ^
>   indent.c:69:10: warning: potential null pointer dereference [-Wnull-dereference]
>   indent.c:69:10: warning: potential null pointer dereference [-Wnull-dereference]
>   indent.c:69:10: warning: potential null pointer dereference [-Wnull-dereference]

This one is known, and we've decided it is a GCC bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 4 Jul 2018 18:38:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 14:38:56 2018
Received: from localhost ([127.0.0.1]:46985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1famg3-0006iw-UV
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:38:56 -0400
Received: from mail-it0-f42.google.com ([209.85.214.42]:34250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1famg1-0006ij-My
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:38:53 -0400
Received: by mail-it0-f42.google.com with SMTP id d191-v6so272613ite.1
 for <28596 <at> debbugs.gnu.org>; Wed, 04 Jul 2018 11:38:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=ykTWcAZRxCNsuS0H6BhA7FLRKzj2Q4CzaQF6mDdVsQE=;
 b=PK6fQC+WuVPvD3RBh1mIFSm91IrHg7r+ajuR0GJQXao8NlmTm5j09iMHAmLLW2n9Kz
 rCUnhsJ/IlpLwGp4lwBkxZMQ25Xreygktt+KrEVF6kHCkFz6k6fgJ4m+WQ0/OTgqpP2I
 5Wg8c0HyTmgxBHMtmIzIAgwIdEQAUSYu9Hk7+MSi/9qwD44gdgpQykWc8wQuqvl9BlOl
 tQkWlYflVLRI91/BsKG54kaGa1mGG4izcXbU+KVd6AsfDxZAMyN5f9rZYdWmKbMvx1L7
 ncfOrEoOIbokUi/LuvmNP7TZBuI4dC/uiMfbYRLyP2laSQHHGKQNZGHuLYxjSYQd1ejA
 1n3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=ykTWcAZRxCNsuS0H6BhA7FLRKzj2Q4CzaQF6mDdVsQE=;
 b=S1PoABSn1AC1bbmE2vVx5q4I/g83SGSc9FGiRP56kTBhUUvEdFsYENlDnGddVElilL
 OTVcpMNgL35FiY0riK3JjJAu5kjAE/ZR7J5e09vUi3BaIhr+JoiTXG7BghLXaVIz8fqq
 NLppwnaPKa/Vf/9Mz7k1huVIdwqtVsmKTqt53i3Uut5s+eqCNwVL4B/vMLarU5TQfKJv
 xhOrIrXRU0ymZHyU3fsXPEnaAwhqlBUWZgIl/xr2t+MLm30QIyr7wZKW4AyjgnYsoQNo
 bUmiJex5ctCukVMk3rw0Tgrh0HaHHmala0cDyThS+zatZAwhk4Ph7cY7C7gBRSRbT2/G
 vLBA==
X-Gm-Message-State: APt69E3RYqrSAm3lpSQxldoWaD55hXKlsKRzmuSkXASPl3jcM8UwH1Bv
 A0ayyKAQm3ImtbhV/uKA58xQXg==
X-Google-Smtp-Source: AAOMgpfwxw1ap58gTeOjzwA2WB9X4BX38lwfTtL8Gkcg2wXUUUFMUAVgQY+S9Cm9RFovL/w23FeLYg==
X-Received: by 2002:a24:1344:: with SMTP id 65-v6mr2699918itz.82.1530729528072; 
 Wed, 04 Jul 2018 11:38:48 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none
 (toroon474qw-lp130-04-74-14-128-81.dsl.bell.ca. [74.14.128.81])
 by smtp.gmail.com with ESMTPSA id w79-v6sm1882648iod.43.2018.07.04.11.38.47
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 04 Jul 2018 11:38:47 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN> <83a7r7ndw7.fsf@HIDDEN>
 <8736wy7uai.fsf@HIDDEN>
 <87y3eq6f8u.fsf@HIDDEN>
Date: Wed, 04 Jul 2018 14:38:46 -0400
In-Reply-To: <87y3eq6f8u.fsf@HIDDEN> (N. Jackson's message of
 "Wed, 04 Jul 2018 14:13:37 -0400")
Message-ID: <87tvpe6e2x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

At 14:13 -0400 on Wednesday 2018-07-04, N. Jackson wrote:

> At 14:03 -0400 on Wednesday 2018-07-04, N. Jackson wrote:
>>
>> At 19:50 +0300 on Wednesday 2018-07-04, Eli Zaretskii wrote:
>>>
>>>> From: nljlistbox2@HIDDEN (N. Jackson)
>>>> Date: Mon, 02 Jul 2018 20:19:24 -0400
>>>>=20
>>>> I haven't used the emacs-26 branch since 26.1 was released
>>>> so I cannot answer your question directly.
>>>
>>> Is it possible for you to try the branch? I think it's
>>> important to know whether this problem still exists on the
>>> release branch.
>>
>> Certainly. I have just built the emacs-26 branch [1] and I
>> will use it as my every-day Emacs from now on.
>
>> [1] Repository revision: 3bbd4ffc68bcc2b3e003a2179a508b82055ad770
>
> Due to a thinko, that was master I built! Sorry. I will build
> the emacs-26 branch now and use it as my every-day Emacs!
>
> N.

I have really built the emacs-26 branch [1] this time!

As promised, I will use it from now on as my every-day Emacs and
report back here if I see the bug again.

OT: Compared to the five "potential null pointer derefernce"
warnings on master there is only one on emacs-26. Is this
normal? (It feels to me as if one is one too many.)

  indent.c: In function =E2=80=98scan_for_column=E2=80=99:
  indent.c:69:10: warning: potential null pointer dereference [-Wnull-deref=
erence]
     return 0;
            ^
  indent.c:69:10: warning: potential null pointer dereference [-Wnull-deref=
erence]
  indent.c:69:10: warning: potential null pointer dereference [-Wnull-deref=
erence]
  indent.c:69:10: warning: potential null pointer dereference [-Wnull-deref=
erence]


[1] Repository revision: 0dce5e59206db7bd0b9cd43ae712272105300ae4




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 4 Jul 2018 18:30:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 14:30:56 2018
Received: from localhost ([127.0.0.1]:46976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1famYG-0006XL-H6
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:30:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1famYC-0006X1-7H
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:30:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1famY3-0002WC-Dj
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:30:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42678)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1famY3-0002W3-7U; Wed, 04 Jul 2018 14:30:39 -0400
Received: from [176.228.60.248] (port=3621 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1famY2-0003j9-J8; Wed, 04 Jul 2018 14:30:39 -0400
Date: Wed, 04 Jul 2018 21:30:36 +0300
Message-Id: <834lheonub.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
In-reply-to: <87y3eq6f8u.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN> <83a7r7ndw7.fsf@HIDDEN>
 <8736wy7uai.fsf@HIDDEN>
 <87y3eq6f8u.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Cc: eric@HIDDEN,  larsi@HIDDEN,  28596 <at> debbugs.gnu.org
> Date: Wed, 04 Jul 2018 14:13:37 -0400
> 
> I will build the emacs-26 branch now and use it as my every-day
> Emacs!

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 4 Jul 2018 18:30:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 14:30:19 2018
Received: from localhost ([127.0.0.1]:46973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1famXf-0006WU-Ug
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:30:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52296)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1famXc-0006VO-3P
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:30:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1famXS-00022M-EK
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:30:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42672)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1famXS-00022G-AI; Wed, 04 Jul 2018 14:30:02 -0400
Received: from [176.228.60.248] (port=3584 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1famXR-0002pd-J3; Wed, 04 Jul 2018 14:30:02 -0400
Date: Wed, 04 Jul 2018 21:30:00 +0300
Message-Id: <83601uonvb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
In-reply-to: <8736wy7uai.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN> <83a7r7ndw7.fsf@HIDDEN>
 <8736wy7uai.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Cc: larsi@HIDDEN,  eric@HIDDEN,  28596 <at> debbugs.gnu.org
> Date: Wed, 04 Jul 2018 14:03:17 -0400
> 
> OT: Are the "potential null pointer dereference" warnings
> normal? I don't think I've noticed those before today's build.

Please report them in a separate bug.  Mostly they are GCC bugs, but
once in a blue moon we find a real problem.

> For example:
> 
>   In file included from keyboard.c:25:0:
>   keyboard.c: In function ‘reorder_modifiers’:
>   lisp.h:377:40: warning: potential null pointer dereference [-Wnull-dereference]
>    #define lisp_h_XCDR(c) XCONS (c)->u.s.u.cdr
>                           ~~~~~~~~~~~~~~~~^~
>   lisp.h:1308:10: note: in expansion of macro ‘lisp_h_XCDR’
>      return lisp_h_XCDR (c);
>             ^~~~~~~~~~~
>   lisp.h:376:38: warning: potential null pointer dereference [-Wnull-dereference]
>    #define lisp_h_XCAR(c) XCONS (c)->u.s.car
>                           ~~~~~~~~~~~~~~^~
>   lisp.h:1302:10: note: in expansion of macro ‘lisp_h_XCAR’
>      return lisp_h_XCAR (c);
>             ^~~~~~~~~~~

This is master, right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 4 Jul 2018 18:13:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 14:13:46 2018
Received: from localhost ([127.0.0.1]:46969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1famHi-00067V-Hb
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:13:46 -0400
Received: from mail-it0-f51.google.com ([209.85.214.51]:50251)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1famHg-00067G-97
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:13:44 -0400
Received: by mail-it0-f51.google.com with SMTP id u4-v6so8818989itg.0
 for <28596 <at> debbugs.gnu.org>; Wed, 04 Jul 2018 11:13:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=JfJ8tvp7ms4D3oSB1Wb6GnSRYfOh4k4PTp+Y63A3Gjk=;
 b=K2dkjqPfkQO3E7CCOYHLE0JUO5PVmK9PhHVXwob+np9iHniZqh67Zxi/bU9WsgvVHi
 BRif13wa0lgd/cScVEoxsKtXoUh7H3yiVFSe4o8JBYGVpTX7Us9cO6IfD7F0PTVTPaJd
 J7n5RKfczOZAbL71UE1Ef1HlEJlmYaEIh85bX6NS+TiTBVxc26drrHXr/Sls9BlLruS/
 yGd/nYjRacvUj79KuG26igMjhDPpWTOrIzFHwS/WcK7yAYkiIKdWRUbjtvwxo/GrV+Il
 lpEoMFXoU+6/GMPzNp094QILwOwJy8diQ6X5KgkVs2BLLZUtHcaNpEk+fx4pZwSX65GB
 x7Iw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=JfJ8tvp7ms4D3oSB1Wb6GnSRYfOh4k4PTp+Y63A3Gjk=;
 b=eemdf0OurGLYN5WwanEni7W8Bw8FCYvvl7j3x/eO37sx1LQjqZY7dNv66lRRhDhOmY
 UHNEjKsNbBELmQlHcFztBREp/xnYUVhAF5JMSwVhk5eY841ru+3hy/cjBf6ge+MlWjWo
 JZf+NywDVbMUBawmTuC3BXn/m0vLvq/IkvP6zLbOVIlkrRfyJehq5uemI9x47lmL1Glo
 ZXXWpyzlXDrZIJaRzcYy/3ALI/VEGugdnAJiE+yJM8LCpoTYLazW4v3gzMwo0OAn1RqU
 Xb8Eu2xiovzIPdZAva3kvP0aHfMYp+3RZuX+yxEjpDwGTk3SvRPxCGuB68UgsZ0PJdBP
 NHkg==
X-Gm-Message-State: APt69E0F3U+QMQ7psMOQZBonnP5/cKMhIpl4PuKP/MXeNippDLSzZvwc
 WEVIiYVynzBnSEyvw0JeGOKTIg==
X-Google-Smtp-Source: AAOMgpdAea0UsU50YlE4gHVEefn5PcbDGIVctSUtzB5WoD5D2PLmR7p8MA8RN9Y9Grx7ouCb3Z6oZg==
X-Received: by 2002:a24:c903:: with SMTP id h3-v6mr2551265itg.87.1530728018577; 
 Wed, 04 Jul 2018 11:13:38 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none
 (toroon474qw-lp130-04-74-14-128-81.dsl.bell.ca. [74.14.128.81])
 by smtp.gmail.com with ESMTPSA id n143-v6sm2049014ion.53.2018.07.04.11.13.37
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 04 Jul 2018 11:13:38 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN> <83a7r7ndw7.fsf@HIDDEN>
 <8736wy7uai.fsf@HIDDEN>
Date: Wed, 04 Jul 2018 14:13:37 -0400
In-Reply-To: <8736wy7uai.fsf@HIDDEN> (N. Jackson's message of
 "Wed, 04 Jul 2018 14:03:17 -0400")
Message-ID: <87y3eq6f8u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

At 14:03 -0400 on Wednesday 2018-07-04, N. Jackson wrote:
>
> At 19:50 +0300 on Wednesday 2018-07-04, Eli Zaretskii wrote:
>>
>>> From: nljlistbox2@HIDDEN (N. Jackson)
>>> Date: Mon, 02 Jul 2018 20:19:24 -0400
>>> 
>>> I haven't used the emacs-26 branch since 26.1 was released so
>>> I cannot answer your question directly.
>>
>> Is it possible for you to try the branch? I think it's
>> important to know whether this problem still exists on the
>> release branch.
>
> Certainly. I have just built the emacs-26 branch [1] and I will
> use it as my every-day Emacs from now on.

> [1] Repository revision: 3bbd4ffc68bcc2b3e003a2179a508b82055ad770

Due to a thinko, that was master I built! Sorry. I will build the
emacs-26 branch now and use it as my every-day Emacs!

N.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 4 Jul 2018 18:03:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 14:03:26 2018
Received: from localhost ([127.0.0.1]:46949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fam7i-0005sn-GM
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:03:26 -0400
Received: from mail-it0-f54.google.com ([209.85.214.54]:36376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1fam7g-0005sb-UJ
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 14:03:25 -0400
Received: by mail-it0-f54.google.com with SMTP id j185-v6so8731861ite.1
 for <28596 <at> debbugs.gnu.org>; Wed, 04 Jul 2018 11:03:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Uzg9FKbphc7irLJsNSrJRPZAEBYV12KcH+mr4cYEdqs=;
 b=X6UFVZcFOvmfvwrRt0TXskQrIuW7ODJRv9gX3wMqlQ4qRVz+mXwsOj4Txz4nHMuaeW
 IXz6ZeCwNIDWOVxEJiQWWvgkjGdixaGrMbfQEWHFBlBwV2LqbrYJ7jgUYi91lhUiqiyq
 jSQFqiBMLqORdyTAloiMkeCx/0vHyMqKRvZRx+WjCb44LtINnrxpWsTP9lAJGq7mUy2e
 d32QtKkfTmrp7jRtiTE468jUcSy1rRnFTlAGH79z3LamUZMXYa2RPtrgciY0EprPDXtY
 IGG4bLvdgKyWNGi06/SLcU0LcVmr391U/WSVcqorolmkKGKxQAupqICgluKu0IfNjV+u
 xLaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Uzg9FKbphc7irLJsNSrJRPZAEBYV12KcH+mr4cYEdqs=;
 b=cY6O41sfEcYCXgEcaqmxot7jrUTnwyuxezxDeEUI2w7g2Ig520/baxbxZduReYNxZU
 N3p/Nj22pSd5i7IXITbVKhrVi60znmu96dUAPYGjqqlDm9bFB2bketiZEVaZBEvexILB
 FhLhxkVB9aI3dccF5Sg3a7oq/0KJmMIdlAtmAR6DI0WaloKKG49JrKa/jTy5wGZhbKZt
 R9rI8Iffn3V0daQFi4DFHFCZkwcR85BRwwCWt+L9RNaBdPdaZQ0S9Z44V8v2hRin0dnh
 EBkSXeuGX5SzlPUhS3t8BXZev6i4JAD8TM9iVlpe9DZjAFluiDKCKfwQ2jZJn1NdontF
 ePhg==
X-Gm-Message-State: APt69E3wvAFGurGybHdRcdjjWuOKR/XGNhFpG5MunI8WAAJoyOUPcxwm
 xsIDRHjZnThPeoor79UJcd0BHw==
X-Google-Smtp-Source: AAOMgpeui3yPQ7GAz40M7x2LdvoTA6vs/tkHBPqszvzbCEHgEK63RXW6o+vIwxWQWwh9s9g4CI6ltg==
X-Received: by 2002:a02:966c:: with SMTP id
 c99-v6mr2362580jai.57.1530727398960; 
 Wed, 04 Jul 2018 11:03:18 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none
 (toroon474qw-lp130-04-74-14-128-81.dsl.bell.ca. [74.14.128.81])
 by smtp.gmail.com with ESMTPSA id a65-v6sm2081350itc.44.2018.07.04.11.03.17
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 04 Jul 2018 11:03:18 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN> <83a7r7ndw7.fsf@HIDDEN>
Date: Wed, 04 Jul 2018 14:03:17 -0400
In-Reply-To: <83a7r7ndw7.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 04 Jul
 2018 19:50:48 +0300")
Message-ID: <8736wy7uai.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

At 19:50 +0300 on Wednesday 2018-07-04, Eli Zaretskii wrote:
>
>> From: nljlistbox2@HIDDEN (N. Jackson)
>> Date: Mon, 02 Jul 2018 20:19:24 -0400
>>=20
>> I haven't used the emacs-26 branch since 26.1 was released so
>> I cannot answer your question directly.
>
> Is it possible for you to try the branch? I think it's
> important to know whether this problem still exists on the
> release branch.

Certainly. I have just built the emacs-26 branch [1] and I will
use it as my every-day Emacs from now on.

I'm not sure if we'll learn anything though, given that I've
only seen the problem once in 26.1 which I have been running
almost since the day it was announced. But if I do see it again
I will report back of course.

OT: Are the "potential null pointer dereference" warnings
normal? I don't think I've noticed those before today's build.
For example:

  In file included from keyboard.c:25:0:
  keyboard.c: In function =E2=80=98reorder_modifiers=E2=80=99:
  lisp.h:377:40: warning: potential null pointer dereference [-Wnull-derefe=
rence]
   #define lisp_h_XCDR(c) XCONS (c)->u.s.u.cdr
                          ~~~~~~~~~~~~~~~~^~
  lisp.h:1308:10: note: in expansion of macro =E2=80=98lisp_h_XCDR=E2=80=99
     return lisp_h_XCDR (c);
            ^~~~~~~~~~~
  lisp.h:376:38: warning: potential null pointer dereference [-Wnull-derefe=
rence]
   #define lisp_h_XCAR(c) XCONS (c)->u.s.car
                          ~~~~~~~~~~~~~~^~
  lisp.h:1302:10: note: in expansion of macro =E2=80=98lisp_h_XCAR=E2=80=99
     return lisp_h_XCAR (c);
            ^~~~~~~~~~~

Thanks.

N.

[1] Repository revision: 3bbd4ffc68bcc2b3e003a2179a508b82055ad770





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 4 Jul 2018 16:51:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 12:51:08 2018
Received: from localhost ([127.0.0.1]:46915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fakzg-0004DO-SJ
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2018 12:51:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fakzb-0004Ct-Tx
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 12:51:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fakzS-0002pr-Ar
 for 28596 <at> debbugs.gnu.org; Wed, 04 Jul 2018 12:50:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41426)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fakzS-0002pn-7P; Wed, 04 Jul 2018 12:50:50 -0400
Received: from [176.228.60.248] (port=1217 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fakzR-0000zn-Lv; Wed, 04 Jul 2018 12:50:50 -0400
Date: Wed, 04 Jul 2018 19:50:48 +0300
Message-Id: <83a7r7ndw7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
In-reply-to: <87woud188j.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
 <87woud188j.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Cc: larsi@HIDDEN,  eric@HIDDEN,  28596 <at> debbugs.gnu.org
> Date: Mon, 02 Jul 2018 20:19:24 -0400
> 
> I haven't used the emacs-26 branch since 26.1 was released
> so I cannot answer your question directly.

Is it possible for you to try the branch?  I think it's important to
know whether this problem still exists on the release branch.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 3 Jul 2018 00:19:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 20:19:34 2018
Received: from localhost ([127.0.0.1]:44176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fa92c-0008Io-1Z
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 20:19:34 -0400
Received: from mail-it0-f54.google.com ([209.85.214.54]:36844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1fa92Z-0008Ic-TJ
 for 28596 <at> debbugs.gnu.org; Mon, 02 Jul 2018 20:19:32 -0400
Received: by mail-it0-f54.google.com with SMTP id j185-v6so448894ite.1
 for <28596 <at> debbugs.gnu.org>; Mon, 02 Jul 2018 17:19:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=fLtYB0N3QJiOsYTRWEIWWXUaoYQbHcetT7KBQckt2VQ=;
 b=GiVPxpXDXU9t4gvX66TOKTXifwk9PMRCltnT+inDN5+2yBLOix2xtPME2UfcAjHein
 Rp9CfE0l0FIli8E9UJAcURFsqOv2ap3A7SMNzC4ixy2jUIpTgT+duEzrYbmhI8AgX8to
 b2oAZJRBTruordFrUDY+ctQjKbHuHoqoLX6RcFg3tpTJPHvNC4hypcP2GhTunupO4zQY
 FxZ+7GQqUWTETaqIWh6Xlgb/DCYIdIiTDawX8BB773xOB0YGDQ9WCfCfH+7IIzLp1U/i
 9YS2wTTNsR93EejSNKXmXFk+kmNdGxLj9IzAvLwSacd+qThg5oKQEKqLFZnKQ80G10Uz
 JUiQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=fLtYB0N3QJiOsYTRWEIWWXUaoYQbHcetT7KBQckt2VQ=;
 b=DA4te0LNNnk4FAVAT6jgVPaxEu70pwuEmre6iUGaAnfkAzGOVTK6jeLOnDir81p85H
 gAzZ2ql3QREdhkGoNYAjO6ldg2lWSX6sS2/w6dxUqg7T7UzTzwDpb+A9XAXNTF7rTmEd
 5OS1aKrUJqb8FVfSyRwNCzZfVvGNcimFxrCEtwvhvREPaGpbkrDDKKqqHA8zZPcRxnYa
 XfmjfWqZpOxBwV4RJA4nDQw6gy/PO7MKDbSCZlzRfQyaWtnSWF0rC42mxD6SvdZ16f18
 tADMeZs0lRiCfrTe3L6GqY6lAtE4DvgqDXxDh3zs5Sh8fgkp5Zn2VGUPgZY9MZnD7Jqs
 lNqw==
X-Gm-Message-State: APt69E0uBDEf7/dkiWJKvOm1ZmX9C/slwGxomMCZytQm97eH0j72wg+R
 H6Eb+8TLVLZudtHZN4XqNAl8Cw==
X-Google-Smtp-Source: AAOMgpdLhIOSYG6Ld14iHDaq4rZJygfOelGKtf2qgn6drnPLKWUvzbOWip4uleRGY+zmyccYhEE4Lg==
X-Received: by 2002:a02:b5a6:: with SMTP id
 m35-v6mr22634155jaj.15.1530577166161; 
 Mon, 02 Jul 2018 17:19:26 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none
 (toroon474qw-lp140-01-70-31-84-83.dsl.bell.ca. [70.31.84.83])
 by smtp.gmail.com with ESMTPSA id x7-v6sm7064587iob.49.2018.07.02.17.19.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 02 Jul 2018 17:19:25 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN> <83k1qdjzei.fsf@HIDDEN>
Date: Mon, 02 Jul 2018 20:19:24 -0400
In-Reply-To: <83k1qdjzei.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 02 Jul
 2018 20:55:17 +0300")
Message-ID: <87woud188j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

At 20:55 +0300 on Monday 2018-07-02, Eli Zaretskii wrote:
>
> Does the problem still exist on the current emacs-26
> branch?

It exists in the released version of Emacs 26.1, but I have
only seen it there once even though I use it as my every-day
Emacs.

What I wrote about being able to reproduce it at will seems
not to have been true. It seems to depend on the day, and I
suspect it is something to do with a network or server state
that is confusing Gnus.

The last time it happened I noticed that Gmane was
unreachable from a web browser, which might be related.
(Many of my Gnus groups are on Gmane.)

I haven't used the emacs-26 branch since 26.1 was released
so I cannot answer your question directly.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 2 Jul 2018 17:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 13:55:42 2018
Received: from localhost ([127.0.0.1]:43887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fa337-0001Pg-NU
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 13:55:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fa335-0001PP-Q9
 for 28596 <at> debbugs.gnu.org; Mon, 02 Jul 2018 13:55:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fa32x-0006c0-DF
 for 28596 <at> debbugs.gnu.org; Mon, 02 Jul 2018 13:55:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33406)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fa32x-0006br-65; Mon, 02 Jul 2018 13:55:31 -0400
Received: from [176.228.60.248] (port=3214 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fa32w-0005S2-J2; Mon, 02 Jul 2018 13:55:31 -0400
Date: Mon, 02 Jul 2018 20:55:17 +0300
Message-Id: <83k1qdjzei.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
In-reply-to: <878tdmxue7.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
 <878tdmxue7.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, larsi@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Date: Thu, 28 Dec 2017 19:14:24 -0500
> Cc: eric@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
>  28596 <at> debbugs.gnu.org
> 
> I do not think that this bug (with the ambiguous Gnus
> plugged/unplugged state) is the same as the
> wait_reading_process_output bug, and I'm not entirely convinced
> that the two bugs are related, but of course I might be missing
> something.
> 
> I can now reproduce this bug (#28596) at will -- and without any
> apparent hang at all. So I think the hang I was experiencing while
> trying to get Gnus to behave itself was a red herring -- quite
> possibly I was running into the other bug while I was trying to
> get myself out of this one.
> 
> And IIUC the wait_reading_process_output bug has been in Emacs for
> a while (forever?) whereas this bug exists in Emacs 26 but I have
> never seen it and cannot reproduce in Emacs 25.

Does the problem still exist on the current emacs-26 branch?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 29 Dec 2017 00:14:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 28 19:14:40 2017
Received: from localhost ([127.0.0.1]:55608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eUiJo-0004zR-Uf
	for submit <at> debbugs.gnu.org; Thu, 28 Dec 2017 19:14:40 -0500
Received: from mail-it0-f51.google.com ([209.85.214.51]:42710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1eUiJj-0004z5-Uv
 for 28596 <at> debbugs.gnu.org; Thu, 28 Dec 2017 19:14:35 -0500
Received: by mail-it0-f51.google.com with SMTP id p139so29701759itb.1
 for <28596 <at> debbugs.gnu.org>; Thu, 28 Dec 2017 16:14:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=FtZC3XUdqA1Ned2GG82BSSFvb3ETzY2gJtjwcGB7UsI=;
 b=jeCMGalhNQJTAXoFaRFGdZgtIBLdVNRk5oXCouzZ+xknv5sF5NhuFGEuZyX9JOsK1k
 TCoZSdv6Bs/oV+fEzKUyXVvLJbrLsxxkfAjQqris+mxAa/vvTfXxb/3cbKeRD5XklcfF
 dbq5mpDf0wozwsTnlmY62J/fTpMpfLMLUTdZzWBUXuPbEgf+oTdTNT3+iA1OIwVeuD84
 kqKDV9w6OlsVr3npoKG9g00ApD0p7svfrbwi2NBB9eKCSa30ZbOHCIdjv7na52XEfLhM
 xhbLI3bosURCSML9vY+TTqKi+m6o8yLTZTcCt+z2drJaxzilj1idMcw2jBXqsFw+835K
 rDpw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=FtZC3XUdqA1Ned2GG82BSSFvb3ETzY2gJtjwcGB7UsI=;
 b=LandKA05xJ+7NSnfjzMfJhkBdICQDWmy0phRzgZgUySiVciCLsOJO6XlEwljiWYPN6
 fjh86T3trsq8apJcRHgJtxIBJhg96Ul1xxG1bGnNFqC6arREkmNX9aT2ykVeQnvVGyoL
 O4Y4ykAQ6ysWJ6SAS8BVM4qE92OPk2DOmjewSX2fYthqRTWCwgxQnKwCZLOEaCcObRkS
 zgiWDL5anq2qOATZ0K61O3eWpwNccV0Ai5H9ZwYcuIK/aQHVGCNQVoWyj3feLcXgbHvN
 jGDl9Rxg2Uor0saUYmdN66BYJJoVymyNvQ5mw+cabPn2Lu4g5dePqjR/oKqO/CN5xrBb
 GcPg==
X-Gm-Message-State: AKGB3mKB8f9JtRNqLAuWRbFT8zslP4+dztvkYQ5gJr44su4VcJ2VpfL/
 KLUuySqNtJi46JVOkscpIsWu4Q==
X-Google-Smtp-Source: ACJfBouEyuuGtUIg06Y+8kbQd863mzjSZZ7FWGLtblSKl1IetFmX07gAhz/At0XedftHmdHO3lx4RQ==
X-Received: by 10.36.50.11 with SMTP id j11mr44944970ita.153.1514506466318;
 Thu, 28 Dec 2017 16:14:26 -0800 (PST)
Received: from moondust.localdomain.nodomain.none ([205.189.187.4])
 by smtp.gmail.com with ESMTPSA id o66sm8271191iod.87.2017.12.28.16.14.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 28 Dec 2017 16:14:25 -0800 (PST)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
Date: Thu, 28 Dec 2017 19:14:24 -0500
In-Reply-To: <83wp16g2ky.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 28 Dec
 2017 19:54:53 +0200")
Message-ID: <878tdmxue7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.8 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  At 19:54 +0200 on Thursday 2017-12-28, Eli Zaretskii wrote:
 > >> From: Lars Ingebrigtsen >> Cc: nljlistbox2@HIDDEN,
 eric@HIDDEN, 
 28596 <at> debbugs.gnu.org >> Date: Thu, 28 Dec 2017 17:29:34 +0100 >> >> Eli
 Zaretskii writes: >> >> > So what would be the best way of making progress
 with this bug? >> >> What happened to the patch set to fix various
 irregularities
 with >> accept-process-output that was going around the other month? Was
 it >> merged? I was kinda waiting for that to go in to see whether that made
 >> everything work before poking into this any further... > > You mean the
 thread Re: wait_reading_process_ouput hangs in certain > cases (w/ patches)?
 We are still waiting for the updated version of > the patch (I've just sent
 a reminder). > > But in any case, that patch was for master, not the release
 branch. > We could see if it also fixes this problem, and maybe consider
 > backporting if it does. But I hoped there could be a safer fix for > this
 bug. [...] 
 Content analysis details:   (3.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [205.189.187.4 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.214.51 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (nljlistbox2[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends in
 digit (nljlistbox2[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.214.51 listed in wl.mailspike.net]
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 3.8 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  At 19:54 +0200 on Thursday 2017-12-28, Eli Zaretskii wrote:
    > >> From: Lars Ingebrigtsen >> Cc: nljlistbox2@HIDDEN, eric@HIDDEN,
    28596 <at> debbugs.gnu.org >> Date: Thu, 28 Dec 2017 17:29:34 +0100 >> >> Eli
   Zaretskii writes: >> >> > So what would be the best way of making progress
    with this bug? >> >> What happened to the patch set to fix various irregularities
    with >> accept-process-output that was going around the other month? Was
   it >> merged? I was kinda waiting for that to go in to see whether that made
    >> everything work before poking into this any further... > > You mean the
    thread Re: wait_reading_process_ouput hangs in certain > cases (w/ patches)?
    We are still waiting for the updated version of > the patch (I've just sent
    a reminder). > > But in any case, that patch was for master, not the release
    branch. > We could see if it also fixes this problem, and maybe consider
   > backporting if it does. But I hoped there could be a safer fix for > this
    bug. [...] 
 
 Content analysis details:   (3.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.214.51 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.214.51 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [205.189.187.4 listed in zen.spamhaus.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (nljlistbox2[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends in
                             digit (nljlistbox2[at]gmail.com)
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

At 19:54 +0200 on Thursday 2017-12-28, Eli Zaretskii wrote:
>
>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Cc: nljlistbox2@HIDDEN,  eric@HIDDEN,  28596 <at> debbugs.gnu.org
>> Date: Thu, 28 Dec 2017 17:29:34 +0100
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> > So what would be the best way of making progress with this bug?
>> 
>> What happened to the patch set to fix various irregularities with
>> accept-process-output that was going around the other month?  Was it
>> merged?  I was kinda waiting for that to go in to see whether that made
>> everything work before poking into this any further...
>
> You mean the thread Re: wait_reading_process_ouput hangs in certain
> cases (w/ patches)?  We are still waiting for the updated version of
> the patch (I've just sent a reminder).
>
> But in any case, that patch was for master, not the release branch.
> We could see if it also fixes this problem, and maybe consider
> backporting if it does.  But I hoped there could be a safer fix for
> this bug.

I do not think that this bug (with the ambiguous Gnus
plugged/unplugged state) is the same as the
wait_reading_process_output bug, and I'm not entirely convinced
that the two bugs are related, but of course I might be missing
something.

I can now reproduce this bug (#28596) at will -- and without any
apparent hang at all. So I think the hang I was experiencing while
trying to get Gnus to behave itself was a red herring -- quite
possibly I was running into the other bug while I was trying to
get myself out of this one.

And IIUC the wait_reading_process_output bug has been in Emacs for
a while (forever?) whereas this bug exists in Emacs 26 but I have
never seen it and cannot reproduce in Emacs 25.

N.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 28 Dec 2017 20:15:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 28 15:15:22 2017
Received: from localhost ([127.0.0.1]:55487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eUeaI-0007xA-Bx
	for submit <at> debbugs.gnu.org; Thu, 28 Dec 2017 15:15:22 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:56109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1eUeaG-0007x0-AY
 for 28596 <at> debbugs.gnu.org; Thu, 28 Dec 2017 15:15:20 -0500
Received: from 46.67.72.36.tmi.telenormobil.no ([46.67.72.36] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1eUeaC-0002fM-8V; Thu, 28 Dec 2017 21:15:19 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN> <83wp16g2ky.fsf@HIDDEN>
Date: Thu, 28 Dec 2017 21:15:09 +0100
In-Reply-To: <83wp16g2ky.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 28 Dec
 2017 19:54:53 +0200")
Message-ID: <87wp16fw36.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, nljlistbox2@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> You mean the thread Re: wait_reading_process_ouput hangs in certain
> cases (w/ patches)?

Yup.

> We are still waiting for the updated version of the patch (I've just
> sent a reminder).

Right.

> But in any case, that patch was for master, not the release branch.
> We could see if it also fixes this problem, and maybe consider
> backporting if it does.  But I hoped there could be a safer fix for
> this bug.

There might be some way to mitigate this -- I haven't looked into it at
all beyond stracing a bit when Emacs hangs...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 28 Dec 2017 17:54:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 28 12:54:54 2017
Received: from localhost ([127.0.0.1]:55421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eUcOJ-0004BA-98
	for submit <at> debbugs.gnu.org; Thu, 28 Dec 2017 12:54:54 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eUcOF-0004Av-0f
 for 28596 <at> debbugs.gnu.org; Thu, 28 Dec 2017 12:54:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eUcO5-0000Oo-F1
 for 28596 <at> debbugs.gnu.org; Thu, 28 Dec 2017 12:54:41 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57573)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eUcO5-0000OZ-66; Thu, 28 Dec 2017 12:54:37 -0500
Received: from [176.228.60.248] (port=2088 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eUcO4-0000x1-JO; Thu, 28 Dec 2017 12:54:37 -0500
Date: Thu, 28 Dec 2017 19:54:53 +0200
Message-Id: <83wp16g2ky.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87h8sahl3l.fsf@HIDDEN> (message from Lars Ingebrigtsen
 on Thu, 28 Dec 2017 17:29:34 +0100)
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
 <87h8sahl3l.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, nljlistbox2@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: nljlistbox2@HIDDEN,  eric@HIDDEN,  28596 <at> debbugs.gnu.org
> Date: Thu, 28 Dec 2017 17:29:34 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > So what would be the best way of making progress with this bug?
> 
> What happened to the patch set to fix various irregularities with
> accept-process-output that was going around the other month?  Was it
> merged?  I was kinda waiting for that to go in to see whether that made
> everything work before poking into this any further...

You mean the thread Re: wait_reading_process_ouput hangs in certain
cases (w/ patches)?  We are still waiting for the updated version of
the patch (I've just sent a reminder).

But in any case, that patch was for master, not the release branch.
We could see if it also fixes this problem, and maybe consider
backporting if it does.  But I hoped there could be a safer fix for
this bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 28 Dec 2017 16:29:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 28 11:29:46 2017
Received: from localhost ([127.0.0.1]:55372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eUb3y-0002Ab-0k
	for submit <at> debbugs.gnu.org; Thu, 28 Dec 2017 11:29:46 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:42659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1eUb3w-0002AR-B4
 for 28596 <at> debbugs.gnu.org; Thu, 28 Dec 2017 11:29:44 -0500
Received: from 46.67.72.36.tmi.telenormobil.no ([46.67.72.36] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1eUb3s-0003Ta-Vq; Thu, 28 Dec 2017 17:29:42 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
 <87tvwbgino.fsf@HIDDEN> <83608qhl71.fsf@HIDDEN>
Date: Thu, 28 Dec 2017 17:29:34 +0100
In-Reply-To: <83608qhl71.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 28 Dec
 2017 18:27:30 +0200")
Message-ID: <87h8sahl3l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, nljlistbox2@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> So what would be the best way of making progress with this bug?

What happened to the patch set to fix various irregularities with
accept-process-output that was going around the other month?  Was it
merged?  I was kinda waiting for that to go in to see whether that made
everything work before poking into this any further...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 28 Dec 2017 16:27:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 28 11:27:33 2017
Received: from localhost ([127.0.0.1]:55368 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eUb1m-00027G-Ae
	for submit <at> debbugs.gnu.org; Thu, 28 Dec 2017 11:27:33 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eUb1h-000271-K0
 for 28596 <at> debbugs.gnu.org; Thu, 28 Dec 2017 11:27:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eUb1Y-0004L9-2A
 for 28596 <at> debbugs.gnu.org; Thu, 28 Dec 2017 11:27:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56365)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eUb1X-0004L0-Up; Thu, 28 Dec 2017 11:27:15 -0500
Received: from [176.228.60.248] (port=1800 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eUb1X-0002tw-78; Thu, 28 Dec 2017 11:27:15 -0500
Date: Thu, 28 Dec 2017 18:27:30 +0200
Message-Id: <83608qhl71.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87tvwbgino.fsf@HIDDEN> (message from Lars Ingebrigtsen
 on Thu, 28 Dec 2017 13:07:39 +0100)
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN> <87tvwbgino.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, nljlistbox2@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  eric@HIDDEN,  28596 <at> debbugs.gnu.org
> Date: Thu, 28 Dec 2017 13:07:39 +0100
> 
> nljlistbox2@HIDDEN (N. Jackson) writes:
> 
> > Furthermore, I might have been inaccurate when I reported that C-g
> > didn't quit at all. I might have not waited long enough. On a
> > later hang when I waited after pressing C-g, Emacs came back after
> > about two minutes.
> 
> C-g should quit Gnus' operations immediately.  The "came back after two
> minutes" is the typical thing you see on the TLS hang scenario -- I
> think Emacs comes unstuck when the server closes the connection (due to
> no traffic).

So what would be the best way of making progress with this bug?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 28 Dec 2017 12:07:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 28 07:07:57 2017
Received: from localhost ([127.0.0.1]:54573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eUWya-0000WC-Q2
	for submit <at> debbugs.gnu.org; Thu, 28 Dec 2017 07:07:56 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:38003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1eUWyX-0000W3-SB
 for 28596 <at> debbugs.gnu.org; Thu, 28 Dec 2017 07:07:55 -0500
Received: from 46.67.72.36.tmi.telenormobil.no ([46.67.72.36] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1eUWyQ-00066o-EX; Thu, 28 Dec 2017 13:07:48 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
Subject: Re: bug#28596: 26.0.60;
 Gnus gets into an ambiguous plugged/unplugged state that prevents
 retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
 <87vagrj388.fsf@HIDDEN>
 <871sjfdaql.fsf_-_@HIDDEN>
Date: Thu, 28 Dec 2017 13:07:39 +0100
In-Reply-To: <871sjfdaql.fsf_-_@HIDDEN> (N. Jackson's message of
 "Wed, 27 Dec 2017 18:14:42 -0500")
Message-ID: <87tvwbgino.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

nljlistbox2@HIDDEN (N. Jackson) writes:

> Furthermore, I might have been inaccurate when I reported that C-g
> didn't quit at all. I might have not waited long enough. On a
> later hang when I waited after pressing C-g, Emacs came back after
> about two minutes.

C-g should quit Gnus' operations immediately.  The "came back after two
minutes" is the typical thing you see on the TLS hang scenario -- I
think Emacs comes unstuck when the server closes the connection (due to
no traffic).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 27 Dec 2017 21:00:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 27 16:00:35 2017
Received: from localhost ([127.0.0.1]:54220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eUIoV-0001lP-HV
	for submit <at> debbugs.gnu.org; Wed, 27 Dec 2017 16:00:35 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:53687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1eUIoS-0001lE-AC
 for 28596 <at> debbugs.gnu.org; Wed, 27 Dec 2017 16:00:32 -0500
Received: from 46.67.72.36.tmi.telenormobil.no ([46.67.72.36] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1eUIoP-0003P7-As; Wed, 27 Dec 2017 22:00:31 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
Date: Wed, 27 Dec 2017 22:00:23 +0100
In-Reply-To: <83bmjextpg.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 04 Dec
 2017 19:56:43 +0200")
Message-ID: <87vagrj388.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, "N. Jackson" <nljlistbox2@HIDDEN>,
 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Furthermore, I now believe that the hang that I had been observing
>> was just Bug 16026 / Bug 16906 and that I failed to recognise it
>> because I was too confused by the strange behaviour resulting from
>> this current bug.
>
> Lars, can you help us here?  I'd hate to release Emacs 26.1 with this
> annoying problem.  Can we do something to have a solution or at least
> a reasonably convenient band-aid?

If `C-g' doesn't quit, it sounds a lot like the bug I reported the
other, er, year about TLS negotiation hanging Emacs if we're making
several connections at once.

I thought that was being worked at by... someone... who was fixing up
various things in accept-process-output, so I was waiting for that to
shake out before looking into it further...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 22 Dec 2017 13:43:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 22 08:43:26 2017
Received: from localhost ([127.0.0.1]:47042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eSNbi-0003sp-HG
	for submit <at> debbugs.gnu.org; Fri, 22 Dec 2017 08:43:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eSNbh-0003sc-1b
 for 28596 <at> debbugs.gnu.org; Fri, 22 Dec 2017 08:43:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eSNbY-0000s4-QP
 for 28596 <at> debbugs.gnu.org; Fri, 22 Dec 2017 08:43:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54014)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eSNbY-0000rw-MS; Fri, 22 Dec 2017 08:43:16 -0500
Received: from [176.228.60.248] (port=2077 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eSNbY-0001jL-4H; Fri, 22 Dec 2017 08:43:16 -0500
Date: Fri, 22 Dec 2017 15:43:15 +0200
Message-Id: <834loinaj0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: larsi@HIDDEN
In-reply-to: <83bmjextpg.fsf@HIDDEN> (message from Eli Zaretskii on Mon, 04
 Dec 2017 19:56:43 +0200)
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN> <83bmjextpg.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, nljlistbox2@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Ping!

> Date: Mon, 04 Dec 2017 19:56:43 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: eric@HIDDEN, 28596 <at> debbugs.gnu.org
> 
> > From: nljlistbox2@HIDDEN (N. Jackson)
> > Cc: eric@HIDDEN,  28596 <at> debbugs.gnu.org
> > Date: Mon, 04 Dec 2017 12:14:51 -0500
> > 
> > Hello Eli,
> > 
> > At 19:40 +0200 on Saturday 2017-12-02, Eli Zaretskii wrote:
> > >
> > > Any news on this? Is this problem still present in the Emacs
> > > 26.0.90 pretest?
> > 
> > Yes, the problem is still present with the 26.0.90 pretest. I ran
> > that for three weeks and the problem happened almost every day.
> > 
> > Then I went back to using Emacs 25 out of frustration.
> > 
> > No, sorry, no news. I wasn't able to get any traction on debugging
> > it; that would be so much easier if the code were in C! (I am
> > perennially unsuccessful when I try to get the Elisp debugger to
> > function the way I think it ought to, probably because I don't
> > understand the way it is supposed to work.)
> > 
> > However, I had forgotten (or never saw) your suggestions to
> > 
> >   "try setting url-asynchronous to nil when fetching news... [o]r
> >   maybe even build Emacs with HAVE_GETADDRINFO_A undefined"
> > 
> > and I will try that with 26.0.90 these next days.
> > 
> > Additionally, I am almost convinced that the problem is that Gnus
> > gets into an ambiguous state where part of it thinks it is
> > "unplugged" and part of it thinks it's "plugged", and that it
> > never even tries to retrieve the news in the cases where it seems
> > to be "broken".
> > 
> > Furthermore, I now believe that the hang that I had been observing
> > was just Bug 16026 / Bug 16906 and that I failed to recognise it
> > because I was too confused by the strange behaviour resulting from
> > this current bug.
> 
> Lars, can you help us here?  I'd hate to release Emacs 26.1 with this
> annoying problem.  Can we do something to have a solution or at least
> a reasonably convenient band-aid?
> 
> Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.
Changed bug title to 'Gnus gets into an ambiguous plugged/unplugged state that prevents retrieval of news' from '26.0.60; [Gnus] Checking mail is no longer reliable and C-g no longer quits' Request was from nljlistbox2@HIDDEN (N. Jackson) to control <at> debbugs.gnu.org. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 11 Dec 2017 17:58:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 11 12:58:16 2017
Received: from localhost ([127.0.0.1]:57182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eOSLI-0007ch-2z
	for submit <at> debbugs.gnu.org; Mon, 11 Dec 2017 12:58:16 -0500
Received: from mail-it0-f51.google.com ([209.85.214.51]:46587)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>)
 id 1eOSLG-0007cP-P0; Mon, 11 Dec 2017 12:58:14 -0500
Received: by mail-it0-f51.google.com with SMTP id t1so17895278ite.5;
 Mon, 11 Dec 2017 09:58:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=GKmEbGWLO2g7B1yP6cFaF+BJgDalGFimeuXaOChV/aY=;
 b=Tilb017RsqQkaywq+QZlhP0d5ZsSGaX/2Nyjc1BOHdRaFcEd6WwdYQGF+oLpsxKHS4
 LoJ01JEqCRFzb5YUHgkS1OiSJbz5cDt1TwiA4MKtoDM7PyxSWY35zAoaLOQ6wz+3/Tzh
 pH3dNOF3CBwcpYcafIhvhVLdmjs33hvU3agiJb1vkDLM/5HudCQ9oFJOvnzAuGp7ZW/t
 n+YNHkCjwuj5efiTp4O01DlSsYl9gwuMYcaZQijPZ/bFKKzhEjRF05X5N5kpw/Yv6Y7x
 dNmgnmbTPHzjZcgKB7UgtUsgN4VN9aNVNwVt4wua5w5ABBJMmqbcve3fszbVUMDpsyqt
 i/Tw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=GKmEbGWLO2g7B1yP6cFaF+BJgDalGFimeuXaOChV/aY=;
 b=oci51eSAMgPk2YO4HHN/B45m6ssNv/8SxJiAtoAu9IcTN/XiXTtWXk7i8d+uz/7SAD
 xAA6JUzNyQ59e03PZYpopEfbUCsv3hErzernWoui5Le4g1ENJY869D+6AvePobsbyrZA
 GOK/QkWgzJ6rB+ePwfZOJzNn4NxZ4p0m1nvmwVOQtWIHteZZWt/Yv+6l3lfYl1820c0d
 I3LpAlTwOKCFmVtjqFCvUKqGgAk4859LHAABwP15081IrrhAGYk7v7pjvCBkyz3nawhd
 oMwv6Y7C92mTFxaU8tNUJEzQJOJNf1uWttIzmNa/+rLOsiTu5v3nohfnl4+9ge4LW9jS
 QPeQ==
X-Gm-Message-State: AKGB3mIijFBPTTflmn5KPc0KIdyhSjDWp+IRu9R3VFN6fsd2TkADIBsz
 QxbE7jYuqgLJiAj18i4ArYAH7A==
X-Google-Smtp-Source: ACJfBovV/4Wb5S7AemzZmhIGs7tskKLAKan6mXdF5Ajt5gRpkFPzTquaWlrkdgHcoLVher0nLefQPQ==
X-Received: by 10.107.201.206 with SMTP id z197mr1645908iof.98.1513015088906; 
 Mon, 11 Dec 2017 09:58:08 -0800 (PST)
Received: from moondust.localdomain.nodomain.none ([205.189.187.4])
 by smtp.gmail.com with ESMTPSA id d3sm3953109itf.39.2017.12.11.09.58.07
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 11 Dec 2017 09:58:08 -0800 (PST)
From: nljlistbox2@HIDDEN (N. Jackson)
To: 28596 <at> debbugs.gnu.org
Subject: Re: bug#28596: Gnus gets into an ambiguous plugged/unplugged state
 that prevents retrieval of news
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN>
Date: Mon, 11 Dec 2017 12:58:07 -0500
In-Reply-To: <87wp22xvn8.fsf@HIDDEN> (N. Jackson's message of
 "Mon, 04 Dec 2017 12:14:51 -0500")
Message-ID: <87vahd6tao.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

retitle 28596 Gnus gets into an ambiguous plugged/unplugged state that prevents retrieval of news
quit

I am re-titling the bug report, because as far as I can see, the
bug is not about retrieving mail, only news; and also I'm
increasingly convinced that the hang I was observing when I first
reported the bug was simply because while I was trying to
extricate Gnus from it's confused/broken state I failed to follow
the protocols I usually follow to prevent being bitten by Bug
16026/16906 (which causes a hang).

Also, I now have a recipe that seems to reproduce the bug reliably
here, but it is by no means a minimal recipe:

1. Turn off Internet connection.
2. Start Emacs (26.0.90 pretest)
3. Start Gnus with `gnus-unplugged'
4. Retrieve mail from my local IMAP server with `g' command (`gnus-group-get-new-news')
5. Restore connectivity to Internet
6. (Try to) put Gnus into plugged state with `J j' (`gnus-agent-toggle-plugged')

Result: Mode line now says "Plugged" instead of "Unplugged" but
nntp servers cannot be put in an Open state. Rather agentised
servers can be either Closed or Offline and unagentised servers
can be either Closed or Denied.

At 12:14 -0500 on Monday 2017-12-04, N. Jackson wrote:
> However, I had forgotten (or never saw) your suggestions to
>
>   "try setting url-asynchronous to nil when fetching news... [o]r
>   maybe even build Emacs with HAVE_GETADDRINFO_A undefined"
>
> and I will try that with 26.0.90 these next days.

Following up on this (negatively) for completeness:

1. I restarted Emacs and then set `url-asynchronous' to nil, but
no, this did not prevent Gnus from getting into the
confused/broken state.

2. I also re-built the pretest (26.0.90) with HAVE_GETADDRINFO_A
undefined, but no, that did not prevent the bug from manifesting
either.

N.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 4 Dec 2017 17:57:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 04 12:57:12 2017
Received: from localhost ([127.0.0.1]:45796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eLuzQ-0000Yl-6z
	for submit <at> debbugs.gnu.org; Mon, 04 Dec 2017 12:57:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34861)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eLuzO-0000YY-MN
 for 28596 <at> debbugs.gnu.org; Mon, 04 Dec 2017 12:57:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eLuzF-0005uP-IX
 for 28596 <at> debbugs.gnu.org; Mon, 04 Dec 2017 12:57:05 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59287)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eLuzF-0005uJ-Eo; Mon, 04 Dec 2017 12:57:01 -0500
Received: from [176.228.60.248] (port=4533 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eLuzE-00032Q-2Y; Mon, 04 Dec 2017 12:57:01 -0500
Date: Mon, 04 Dec 2017 19:56:43 +0200
Message-Id: <83bmjextpg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson), Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87wp22xvn8.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
 <87wp22xvn8.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Cc: eric@HIDDEN,  28596 <at> debbugs.gnu.org
> Date: Mon, 04 Dec 2017 12:14:51 -0500
> 
> Hello Eli,
> 
> At 19:40 +0200 on Saturday 2017-12-02, Eli Zaretskii wrote:
> >
> > Any news on this? Is this problem still present in the Emacs
> > 26.0.90 pretest?
> 
> Yes, the problem is still present with the 26.0.90 pretest. I ran
> that for three weeks and the problem happened almost every day.
> 
> Then I went back to using Emacs 25 out of frustration.
> 
> No, sorry, no news. I wasn't able to get any traction on debugging
> it; that would be so much easier if the code were in C! (I am
> perennially unsuccessful when I try to get the Elisp debugger to
> function the way I think it ought to, probably because I don't
> understand the way it is supposed to work.)
> 
> However, I had forgotten (or never saw) your suggestions to
> 
>   "try setting url-asynchronous to nil when fetching news... [o]r
>   maybe even build Emacs with HAVE_GETADDRINFO_A undefined"
> 
> and I will try that with 26.0.90 these next days.
> 
> Additionally, I am almost convinced that the problem is that Gnus
> gets into an ambiguous state where part of it thinks it is
> "unplugged" and part of it thinks it's "plugged", and that it
> never even tries to retrieve the news in the cases where it seems
> to be "broken".
> 
> Furthermore, I now believe that the hang that I had been observing
> was just Bug 16026 / Bug 16906 and that I failed to recognise it
> because I was too confused by the strange behaviour resulting from
> this current bug.

Lars, can you help us here?  I'd hate to release Emacs 26.1 with this
annoying problem.  Can we do something to have a solution or at least
a reasonably convenient band-aid?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 4 Dec 2017 17:15:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 04 12:15:02 2017
Received: from localhost ([127.0.0.1]:45745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eLuKb-00062u-U1
	for submit <at> debbugs.gnu.org; Mon, 04 Dec 2017 12:15:02 -0500
Received: from mail-it0-f47.google.com ([209.85.214.47]:39135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1eLuKZ-00062N-W8
 for 28596 <at> debbugs.gnu.org; Mon, 04 Dec 2017 12:15:00 -0500
Received: by mail-it0-f47.google.com with SMTP id 68so8367584ite.4
 for <28596 <at> debbugs.gnu.org>; Mon, 04 Dec 2017 09:14:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=V5Q7cxTuCsuYmegCcDKAlJhBRGlEXA4XF4XCts7ig3E=;
 b=QZraq2AYa6i5lZJE8Ps+WWVyDjEf0xHMIuR+y1ZjSBKT3OsQjiMC6VsHRUqvpIvLyL
 r4bea3STFxQIWTjK5Vfk3d3j7wvdBHcJmahzrFtrps52yUAaDPTeliDkIsl+Xcp7FrMZ
 yKQCvqYuECVvpXAnEzwsVmco8905tlWeXJjMehBaouQua6YusE/wZECXhGjY9gYgg/dM
 h1oxYfxV/402wDZAdD09GScZJExH3GhcxUifkubA3jyosuOe+STjVTycT9CotKbY+0My
 m7VHTRbK5UNR+srOMhY1queOU7VqkOEfEdZvBDbfnHRY0wTpiI4Iv33CtSlKbuWyOaFe
 70Rg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=V5Q7cxTuCsuYmegCcDKAlJhBRGlEXA4XF4XCts7ig3E=;
 b=n7fBkgo9WnHYZS0JClS9y/qacJGE+yo3kC+lq69Fw9Gegv86lE+cDD+8QmtzK32iTk
 0v/3aEfWCrfKNf+n6+beXy5h2PyER6NjPHTQLIfy/a/jCw5DygUii89m+k7XLSmZA8KU
 RFT6iiyhFYlDUJMN5A5Zf7Nk7vJ7yr6T+CNBpIQmj4dD24LNgpV8XHm7z650i1hRxxuK
 ngKdZTUOOo4R6Vha7NQcSYHS0HQP6vSYrmjULw+Z/M341N6IJ1cj1xfExsdn5ffhdR1v
 l1JGZh5QPB5c+LjW4MZRfUbfAUo1WCt1xboyk35yzqbQ6yQ4x0sf9zsze4w65wuJ3dsX
 NBag==
X-Gm-Message-State: AKGB3mIlWQKm36EQsnMlwE2WKEcYX6J+m0KQZtfytSeSCtSjR7nQEkDD
 PmzHvNyLE6Lq0l2IC2P0/vghr2ZM
X-Google-Smtp-Source: AGs4zMatriypABHQok2MWOdEv37j5IN/Ap0m0m9tGDlxbfTCFSHc0t812mcCjIvFSpxYoRAtf00gyg==
X-Received: by 10.36.240.78 with SMTP id p14mr5406695iti.28.1512407694273;
 Mon, 04 Dec 2017 09:14:54 -0800 (PST)
Received: from moondust.localdomain.nodomain.none
 (toroon12-3096782589.sdsl.bell.ca. [184.149.38.253])
 by smtp.gmail.com with ESMTPSA id 42sm6083718ios.5.2017.12.04.09.14.52
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 04 Dec 2017 09:14:53 -0800 (PST)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN> <831skd110u.fsf@HIDDEN>
Date: Mon, 04 Dec 2017 12:14:51 -0500
In-Reply-To: <831skd110u.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 02 Dec
 2017 19:40:33 +0200")
Message-ID: <87wp22xvn8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Hello Eli,

At 19:40 +0200 on Saturday 2017-12-02, Eli Zaretskii wrote:
>
> Any news on this? Is this problem still present in the Emacs
> 26.0.90 pretest?

Yes, the problem is still present with the 26.0.90 pretest. I ran
that for three weeks and the problem happened almost every day.

Then I went back to using Emacs 25 out of frustration.

No, sorry, no news. I wasn't able to get any traction on debugging
it; that would be so much easier if the code were in C! (I am
perennially unsuccessful when I try to get the Elisp debugger to
function the way I think it ought to, probably because I don't
understand the way it is supposed to work.)

However, I had forgotten (or never saw) your suggestions to

  "try setting url-asynchronous to nil when fetching news... [o]r
  maybe even build Emacs with HAVE_GETADDRINFO_A undefined"

and I will try that with 26.0.90 these next days.

Additionally, I am almost convinced that the problem is that Gnus
gets into an ambiguous state where part of it thinks it is
"unplugged" and part of it thinks it's "plugged", and that it
never even tries to retrieve the news in the cases where it seems
to be "broken".

Furthermore, I now believe that the hang that I had been observing
was just Bug 16026 / Bug 16906 and that I failed to recognise it
because I was too confused by the strange behaviour resulting from
this current bug.

N.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 2 Dec 2017 17:41:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 02 12:41:32 2017
Received: from localhost ([127.0.0.1]:42163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eLBn9-00014E-Ki
	for submit <at> debbugs.gnu.org; Sat, 02 Dec 2017 12:41:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45245)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eLBn7-00013u-Vf
 for 28596 <at> debbugs.gnu.org; Sat, 02 Dec 2017 12:41:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eLBmf-0004uv-GY
 for 28596 <at> debbugs.gnu.org; Sat, 02 Dec 2017 12:41:24 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51102)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eLBmf-0004uk-9J; Sat, 02 Dec 2017 12:41:01 -0500
Received: from [176.228.60.248] (port=1467 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eLBmd-0005xh-28; Sat, 02 Dec 2017 12:41:01 -0500
Date: Sat, 02 Dec 2017 19:40:33 +0200
Message-Id: <831skd110u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
In-reply-to: <87bmlt76uw.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN> <87bmlt76uw.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: eric@HIDDEN, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Date: Fri, 29 Sep 2017 13:27:35 -0400
> Cc: Eli Zaretskii <eliz@HIDDEN>, 28596 <at> debbugs.gnu.org
> 
> At 10:13 -0400 on Tuesday 2017-09-26, N. Jackson wrote:
> >
> > The problem can be easily seen in the *Server* buffer. All my
> > nntp servers are broken.
> >
> > - The nntp servers that are managed by the Agent are in an
> >   "offline" state even though Gnus is currently plugged (and I
> >   have a good Internet connection), and the `O', `C' and `R'
> >   (open, close, and reset all) commands have not effect. (Toggling
> >   the plugged/unplugged state a few times hasn't changed this
> >   brokenness.)
> >
> > - The nntp servers that are not managed by the Agent are in a
> >   "denied" state and the `O', `C' and `R' (open, close, and reset
> >   all) commands have not effect.
> 
> It almost seems as if Gnus is in an "unplugged" state even though
> in the mode line it says that it's "plugged". (Toggling the
> plugged/unplugged state so that the mode line says it's
> "unplugged" doesn't help though.)
> 
> One reason why I think Gnus is actually "unplugged" is that when I
> enter a news group that is managed by the Agent when Gnus is
> "unplugged", the *Summary* buffer is displayed almost instantly.
> In contrast when Gnus is not in a "broken" state and is "plugged",
> loading the *Summary* buffer is slow as Gnus will retrieve headers
> over the Internet,
> 
> A second reason why I think Gnus is actually "unplugged" is that
> there are lines in news group *Summary* buffers like
> 
>   - .│0.0k│1969-12-31 19:00│ ▣ Gnus Agent               [Undownloaded article 218857]
> 
> which I would normally only see when Gnus is "unplugged".
> 
> I have now restarted Emacs to get Gnus back into a working state
> -- I have to get real work done. I will report more when I have
> time to investigate a "broken" instance of Gnus more thoroughly.

Any news on this?  Is this problem still present in the Emacs 26.0.90
pretest?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2017 20:19:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 29 16:19:54 2017
Received: from localhost ([127.0.0.1]:39688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dy1lJ-0001jq-ON
	for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 16:19:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dy1lH-0001je-MQ
 for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 16:19:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dy1lB-000750-KP
 for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 16:19:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50571)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1dy1lB-00074u-HA
 for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 16:19:45 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44575)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dy1lA-00047P-9V
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 16:19:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dy1l5-00072G-W1
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 16:19:44 -0400
Received: from [195.159.176.226] (port=34006 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1dy1l5-00070W-O1
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 16:19:39 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dy1kv-00089T-JB
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 22:19:29 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
Date: Fri, 29 Sep 2017 13:17:58 -0700
Lines: 34
Message-ID: <87zi9d6yyx.fsf@HIDDEN>
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
 <87bmlt76uw.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
Cancel-Lock: sha1:4EyBn7GcjmxZlf1FzPVgc0EPFEY=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

nljlistbox2@HIDDEN (N. Jackson) writes:

> At 08:20 -0700 on Friday 2017-09-29, Eric Abrahamsen wrote:
>>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>>
>>> Does gnus-group-get-new-news use any of the url-* functions? If
>>> so, perhaps try setting url-asynchronous to nil when fetching
>>> news, to see if that solves the problem. Or maybe even build
>>> Emacs with HAVE_GETADDRINFO_A undefined, and see if that helps.
>>
>> FWIW, I would put money on `nntp-open-connection' being the
>> culprit, specifically the call to `open-network-stream'.
>
> Eli and Eric, than you for these suggestions. I will have a look
> in these directions the next time Gnus "breaks". (I hadn't yet
> read them when I wrote the report below.)

[...]

>   Debugger entered--Lisp error: (error "something.com/443 Name or service not known")
>     signal(error ("something.com/443 Name or service not known"))
>     nnrss-fetch("https://something.com/boards/forums/support.246/index.rss")

My suggestion was probably a red herring after all -- nnrss-fetch
does indeed end up calling url-* functions.

[...]

> However, fetching mail/news was still broken -- no hang this time,
> just nothing seeming to happen. And the *Server* buffer was messed
> up as I previously described:

No clue here, unfortunately.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 29 Sep 2017 17:27:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 29 13:27:47 2017
Received: from localhost ([127.0.0.1]:39515 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dxz4j-0005g3-2K
	for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 13:27:47 -0400
Received: from mail-it0-f44.google.com ([209.85.214.44]:48287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dxz4h-0005fo-60
 for 28596 <at> debbugs.gnu.org; Fri, 29 Sep 2017 13:27:43 -0400
Received: by mail-it0-f44.google.com with SMTP id m123so579439ita.3
 for <28596 <at> debbugs.gnu.org>; Fri, 29 Sep 2017 10:27:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=awu2v3fAavvAioeuURvnKSOEmPvFgnQmsUD2Qavc4ec=;
 b=lZBN7wghAqGn8pPShT42462pYv2M5IJkYCrUJvufnrxJ2R8piBLppwAKFEOo/g8sjn
 r33okbulJU4PUGB0Ss6Mmc9GmkNPHv0sGpXVMHpCZmc2/qgI06O1kjUXKlDLHBb/ahX8
 TdCKZYKDOD5L13XsCvYhSkhvws3AAv5sgf9QLxsii4ckIlATGqrfFG0kWCP7FCUG7/5t
 AfgxM9+lpfdsN1wE3P77CYQl/z28wmOPzmzsFtHGnroeanCZg51nX+YkZWeJ+Xi1QXM5
 eYAS0dsMs7+CttGqufZZQ0PueHFmB6CsasigaOfGGw3eqZft77uLVBqQg6iiks4qkDuc
 o/bQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=awu2v3fAavvAioeuURvnKSOEmPvFgnQmsUD2Qavc4ec=;
 b=YyUWB3Li+IKPJi7rENBPzlACFIX73x8mj2Ed8B2Q/H3f4GRYBiQyYIfGhfqgtccW8z
 DKL1TeyQvJigPtFCtZn9gNHpyA50Dq8m+zPf+AJT/TNm4GG4hILRqaRUWMzkXIPzufKY
 Rs5ZRuJClsv8iv+8+Ks0NrbXm8eoDq6FYe2c/nzMYMak1CU8bpqFY79jgLhCWqVDy7vx
 pkGCqz3RnZUyOucBjb7Zbp86rC8w0tQHVd0CIEDTJ0RlGiaTyrjlCsHYQElHO5BFNZxg
 fl6VPeEKUjc6n8dudJGYI0tBozb9i15DA0I2iMp+StqUAUpwLj9UWKsELB+n73itfEpz
 1O3w==
X-Gm-Message-State: AHPjjUgrNDu7URRveErJpMlPO7kUvRJ227WuEt37fXgMfsihXyhMtgxS
 VExkC/0FMBXszNGS6GI0fDQ=
X-Google-Smtp-Source: AOwi7QC5USmluXylktWvHaWIVXZ22iUV8YMyoeDXw7mXSt426ujXmrkuKmfvQuBXoB6/TUgPq+z0gw==
X-Received: by 10.36.22.13 with SMTP id a13mr8349843ita.112.1506706057307;
 Fri, 29 Sep 2017 10:27:37 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none ([72.143.113.194])
 by smtp.gmail.com with ESMTPSA id a184sm1537771ith.0.2017.09.29.10.27.36
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 29 Sep 2017 10:27:36 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
 <87efqppm4p.fsf@HIDDEN>
Date: Fri, 29 Sep 2017 13:27:35 -0400
In-Reply-To: <87efqppm4p.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Fri, 29 Sep 2017 08:20:22 -0700")
Message-ID: <87bmlt76uw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 28596
Cc: Eli Zaretskii <eliz@HIDDEN>, 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

At 08:20 -0700 on Friday 2017-09-29, Eric Abrahamsen wrote:
>
> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>> Does gnus-group-get-new-news use any of the url-* functions? If
>> so, perhaps try setting url-asynchronous to nil when fetching
>> news, to see if that solves the problem. Or maybe even build
>> Emacs with HAVE_GETADDRINFO_A undefined, and see if that helps.
>
> FWIW, I would put money on `nntp-open-connection' being the
> culprit, specifically the call to `open-network-stream'.

Eli and Eric, than you for these suggestions. I will have a look
in these directions the next time Gnus "breaks". (I hadn't yet
read them when I wrote the report below.)

Gnus "broke" again this morning. (It seems to break in the morning
when I switch it to the "plugged" state after I've have it
"unplugged" over night for offline reading.)

Unfortunately there are at least two different problems, although
they might be related.

(The following all applies to the Emacs session this morning with
Gnus in it's "broken" state.)

I set `debug-on-error' and got the following (redacted) backtrace
when fetching mail/news:

  Debugger entered--Lisp error: (error "something.com/443 Name or service n=
ot known")
    signal(error ("something.com/443 Name or service not known"))
    nnrss-fetch("https://something.com/boards/forums/support.246/index.rss")
    nnrss-check-group("Something Forums: Support" "")
    nnrss-retrieve-groups(("Something Forums: Support" "Something Forums: S=
oftware" "Something Forums: Something Else" "Something Forums: Discussions"=
 "Something Forums: News") "")
    gnus-retrieve-groups(("Something Forums: Support" "Something Forums: So=
ftware" "Something Forums: Something Else" "Something Forums: Discussions" =
"Something Forums: News") (nnrss ""))
    gnus-read-active-file-2(("Something Forums: Support" "Something Forums:=
 Software" "Something Forums: Something Else" "Something Forums: Discussion=
s" "Something Forums: News") (nnrss ""))
    gnus-read-active-for-groups((nnrss "") (("nnrss:Something Forums: Suppo=
rt" 3 ((1 . 9)) ((unexist) (seen (1 . 6))) (nnrss "")) ("nnrss:Something Fo=
rums: Software" 3 ((1 . 1)) ((unexist) (seen 1)) (nnrss "")) ("nnrss:Someth=
ing Forums: Something Else" 3 ((1 . 117)) ((unexist) (seen (1 . 56) (67 . 1=
17))) (nnrss "")) ("nnrss:Something Forums: Discussions" 3 ((1 . 857)) ((un=
exist) (seen (1 . 245) (421 . 857))) (nnrss "")) ("nnrss:Something Forums: =
News" 3 ((1 . 672)) ((unexist) (seen (1 . 168) (282 . 672))) (nnrss ""))) n=
il)
    gnus-get-unread-articles(nil nil nil)
    gnus-group-get-new-news(nil)
    funcall-interactively(gnus-group-get-new-news nil)
    call-interactively(gnus-group-get-new-news nil nil)
    command-execute(gnus-group-get-new-news)

There was no problem with the reported URl; I could open it fine
in a web browser. I changed the "level" of these RSS groups so
that Gnus does not try to check them when it fetches mail and
news. After doing that, I no longer end up in the debugger when
fetching mail/news with `debug-on-error' set. That was the first
problem.

However, fetching mail/news was still broken -- no hang this time,
just nothing seeming to happen. And the *Server* buffer was messed
up as I previously described:

At 10:13 -0400 on Tuesday 2017-09-26, N. Jackson wrote:
>
> The problem can be easily seen in the *Server* buffer. All my
> nntp servers are broken.
>
> - The nntp servers that are managed by the Agent are in an
>   "offline" state even though Gnus is currently plugged (and I
>   have a good Internet connection), and the `O', `C' and `R'
>   (open, close, and reset all) commands have not effect. (Toggling
>   the plugged/unplugged state a few times hasn't changed this
>   brokenness.)
>
> - The nntp servers that are not managed by the Agent are in a
>   "denied" state and the `O', `C' and `R' (open, close, and reset
>   all) commands have not effect.

It almost seems as if Gnus is in an "unplugged" state even though
in the mode line it says that it's "plugged". (Toggling the
plugged/unplugged state so that the mode line says it's
"unplugged" doesn't help though.)

One reason why I think Gnus is actually "unplugged" is that when I
enter a news group that is managed by the Agent when Gnus is
"unplugged", the *Summary* buffer is displayed almost instantly.
In contrast when Gnus is not in a "broken" state and is "plugged",
loading the *Summary* buffer is slow as Gnus will retrieve headers
over the Internet,

A second reason why I think Gnus is actually "unplugged" is that
there are lines in news group *Summary* buffers like

  - .=E2=94=820.0k=E2=94=821969-12-31 19:00=E2=94=82 =E2=96=A3 Gnus Agent  =
             [Undownloaded article 218857]

which I would normally only see when Gnus is "unplugged".

I have now restarted Emacs to get Gnus back into a working state
-- I have to get real work done. I will report more when I have
time to investigate a "broken" instance of Gnus more thoroughly.

N.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2017 15:22:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 29 11:22:22 2017
Received: from localhost ([127.0.0.1]:39401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dxx7O-0007xR-2d
	for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 11:22:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dxx7M-0007wP-H5
 for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 11:22:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dxx7G-0006XJ-Fc
 for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 11:22:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49058)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1dxx7G-0006XF-Cf
 for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 11:22:14 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53252)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dxx7F-0007Fz-7V
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 11:22:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dxx7C-0006Vu-3F
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 11:22:13 -0400
Received: from [195.159.176.226] (port=40488 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1dxx7B-0006VM-SO
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 11:22:10 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1dxx6r-0003BY-6e
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 17:21:49 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
Date: Fri, 29 Sep 2017 08:20:22 -0700
Lines: 31
Message-ID: <87efqppm4p.fsf@HIDDEN>
References: <87k20mq0uq.fsf@HIDDEN> <83tvzl98fe.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
Cancel-Lock: sha1:W33cjsLaj2Vuwsw7E3TFBSgkxf4=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: nljlistbox2@HIDDEN (N. Jackson)
>> Date: Mon, 25 Sep 2017 11:01:01 -0400
>> 
>> Yesterday I switched from Emacs 25 to the emacs-26 branch. With
>> this Gnus hangs (sometimes) when checking mail/news
>> (`gnus-group-get-new-news') and then C-g no longer quits -- at
>> least not immediately.
>> 
>> The hangs are for long enough for Gnome dialogs to appear saying
>> that Emacs is no longer responding. Eventually control comes back
>> to Emacs but that might be due to repeated presses of C-g.
>
> This could be due to the fact that Emacs 26 uses async communications
> more than previous versions.
>
> Does gnus-group-get-new-news use any of the url-* functions?  If so,
> perhaps try setting url-asynchronous to nil when fetching news, to see
> if that solves the problem.  Or maybe even build Emacs with
> HAVE_GETADDRINFO_A undefined, and see if that helps.

FWIW, I would put money on `nntp-open-connection' being the culprit,
specifically the call to `open-network-stream'. I used to have similar
problems with Gnus connections hanging (including the need to restart
Emacs entirely to "clear" it out), and all my attempts at figuring it
out led me there. Unfortunately Gnus has been behaving pretty well for
me for the past six months to a year, so I might not be much more help
than that. But I remember being suspicious that these problems were
happening right around the time people seemed to be messing with the
behavior of gnutls. Could be a total red herring, though.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 29 Sep 2017 09:11:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 29 05:11:11 2017
Received: from localhost ([127.0.0.1]:37585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dxrKB-0001EL-62
	for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 05:11:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dxrKA-0001EA-4t
 for 28596 <at> debbugs.gnu.org; Fri, 29 Sep 2017 05:11:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dxrK1-0000kw-2E
 for 28596 <at> debbugs.gnu.org; Fri, 29 Sep 2017 05:11:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59463)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dxrK0-0000kr-UP; Fri, 29 Sep 2017 05:11:00 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1082
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dxrJz-00008m-Cf; Fri, 29 Sep 2017 05:11:00 -0400
Date: Fri, 29 Sep 2017 12:10:45 +0300
Message-Id: <83tvzl98fe.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
In-reply-to: <87k20mq0uq.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
References: <87k20mq0uq.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28596
Cc: 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Date: Mon, 25 Sep 2017 11:01:01 -0400
> 
> Yesterday I switched from Emacs 25 to the emacs-26 branch. With
> this Gnus hangs (sometimes) when checking mail/news
> (`gnus-group-get-new-news') and then C-g no longer quits -- at
> least not immediately.
> 
> The hangs are for long enough for Gnome dialogs to appear saying
> that Emacs is no longer responding. Eventually control comes back
> to Emacs but that might be due to repeated presses of C-g.

This could be due to the fact that Emacs 26 uses async communications
more than previous versions.

Does gnus-group-get-new-news use any of the url-* functions?  If so,
perhaps try setting url-asynchronous to nil when fetching news, to see
if that solves the problem.  Or maybe even build Emacs with
HAVE_GETADDRINFO_A undefined, and see if that helps.

(I'm not saying that these should be the solutions for this bug, just
that they might tell us whether the asynchronous communications
features are involved here.)

I think it would also help stepping through the failing functions with
a debugger and seeing which parts of them fail.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.
Added indication that bug 28596 blocks24655 Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 26 Sep 2017 14:13:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 26 10:13:11 2017
Received: from localhost ([127.0.0.1]:33253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwqbm-00029i-T9
	for submit <at> debbugs.gnu.org; Tue, 26 Sep 2017 10:13:11 -0400
Received: from mail-it0-f45.google.com ([209.85.214.45]:48901)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dwqbl-00029S-EC
 for 28596 <at> debbugs.gnu.org; Tue, 26 Sep 2017 10:13:09 -0400
Received: by mail-it0-f45.google.com with SMTP id m123so3286173ita.3
 for <28596 <at> debbugs.gnu.org>; Tue, 26 Sep 2017 07:13:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=qfFyPrAldGI5MNZiyb+GSXhmwD+AYxcqm7+R6EPPtos=;
 b=YumEMBlxsFJEmKbP7HxVLBsdTgxThiz8GUtjFmtb94B9vYPRFjIJDWbZOu6F4rYM6L
 WkUnpvUZKbafWHexR2ZBafDZhdjNl6BeyRBADsOxyvu9bbLXrBaTqKyoI5kcHmAIEOYp
 t97dSNuXGbqw5kM+7r+JCtFiqMhFXxbenyDFTHS84kT7nO0FiUvLwo/VAdPgDHAESBe1
 C/pw0hGl9QY4ZDSey/uFWUBcCQoOoDYVG69Y6TC4WLyAqelwkvN/HYOlGbIUICOlCZ9G
 3nbpuoTiDkfaGBdu9CjvVyD3DkoP5h0vi9+gqzgnJtjMF3cfN5SC6bukzfA0ygI9IghL
 uIUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=qfFyPrAldGI5MNZiyb+GSXhmwD+AYxcqm7+R6EPPtos=;
 b=E1HOnvHBOCbOcTKzNo0W1W6QiRPYEppALc8/oMHDaQ/iggYcGn2WgmF8IGvblylM3K
 AzLRfrepD+LGAfHd64V3uvNqjs3u/6sAq1kq8K6gIpDyAYs0AHGxN2qt9M6dYvs9ad8v
 VI3JoJatMhSA8uDFN2VCLwRt/n8I4gre5rbZXbsefewO86ixk7RvHvYd/JqtcQwCFlzb
 QCYtVuayMJoZ4PNQcq2FIdmtl5zDYyHv9Gd2U0DPmH/Lr8NSspntqBNGCu5ytWxwLKi7
 3lmS3XtE+nHABkNtNXiRhKfFXaL0NHnaTqr9kyzqnXqPioD1OzqFgtvBquhXIxMZBenC
 S4mg==
X-Gm-Message-State: AHPjjUiZVMA1nAF3ochQl7gCDRGpP3ENmwf/a4xmhD0UKl/Iab9NIYDr
 aZutJuOeJb6xvGKqbzX88J0r0A==
X-Google-Smtp-Source: AOwi7QDQUebGPZmO7n0rjHUEPIJfqnFofOPiXQ5UamuTTwXPMGzYZ2tI25A795/J2bIWrnEwKpjnOA==
X-Received: by 10.36.225.202 with SMTP id n193mr6236962ith.106.1506435183408; 
 Tue, 26 Sep 2017 07:13:03 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none ([72.143.113.194])
 by smtp.gmail.com with ESMTPSA id n12sm1171133ita.11.2017.09.26.07.13.02
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 26 Sep 2017 07:13:02 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
References: <87k20mq0uq.fsf@HIDDEN>
 <CAM-tV-9tP_QNOiWjw-mHAm-7a2fs10qiiwqUwON1XiP6p1VubA@HIDDEN>
Date: Tue, 26 Sep 2017 10:13:01 -0400
In-Reply-To: <CAM-tV-9tP_QNOiWjw-mHAm-7a2fs10qiiwqUwON1XiP6p1VubA@HIDDEN>
 (Noam Postavsky's message of "Mon, 25 Sep 2017 13:14:43 -0400")
Message-ID: <8760c5im4y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 28596
Cc: 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

At 13:14 -0400 on Monday 2017-09-25, Noam Postavsky wrote:
>
> Does 'pkill -SIGUSR2 emacs' help? Otherwise running under gdb and
> hitting C-z at the gdb terminal should give some more info.
>
> (elisp) Error Debugging
>
> -- User Option: debug-on-event
>      If you set =E2=80=98debug-on-event=E2=80=99 to a special event (*not=
e Special
>      Events::), Emacs will try to enter the debugger as soon as it
>      receives this event, bypassing =E2=80=98special-event-map=E2=80=99. =
 At present,
>      the only supported values correspond to the signals =E2=80=98SIGUSR1=
=E2=80=99 and
>      =E2=80=98SIGUSR2=E2=80=99 (this is the default).  This can be helpfu=
l when
>      =E2=80=98inhibit-quit=E2=80=99 is set and Emacs is not otherwise res=
ponding.

Hi Noam,

Thanks for these tips.

I'm now running under GDB but so far today the long hang isn't
happening so I haven't been able to get a backtrace during it.
Nevertheless, after putting Gnus into an unplugged state and then
putting it into the plugged state while my computer was still
disconnected from the Internet, Gnus is now in a broken state even
though I now am connected.

The problem can be easily seen in the *Server* buffer. All my nntp
servers are broken. (My local servers (nnfolder, nndraft, and my
nnimap server on localhost) are fine.)

- The nntp servers that are managed by the Agent are in an
  "offline" state even though Gnus is currently plugged (and I
  have a good Internet connection), and the `O', `C' and `R'
  (open, close, and reset all) commands have not effect. (Toggling
  the plugged/unplugged state a few times hasn't changed this
  brokenness.)

- The nntp servers that are not managed by the Agent are in a
  "denied" state and the `O', `C' and `R' (open, close, and reset
  all) commands have not effect.

And when I say these commands have no effect, they have no effect
at all. No messages are written to the *Messages* buffer even
though I have gnus-verbose and gnus-verbose-backends both set to
10. [The former setting doesn't seem to do anything (hasn't for a
year or two), but the latter normally prints the dialog with the
servers.]

That is, it seems that Gnus is not even trying to talk to these
servers.

It almost seems as if, because they were found once in the Emacs
session not to be accessible, Gnus will never try to talk to them
again until Emacs is restarted, and commands in the *Server*
buffer to open, close etc. these servers are just quietly ignored.

I will report more as I find it, maybe look at the code, possibly
step through it in the debugger. But as my every day workflow is
so much effected by this I might have to go back to Emacs 25 where
these problems don't happen.

N.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 25 Sep 2017 17:14:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 25 13:14:51 2017
Received: from localhost ([127.0.0.1]:58810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwWy3-0007UK-32
	for submit <at> debbugs.gnu.org; Mon, 25 Sep 2017 13:14:51 -0400
Received: from mail-oi0-f49.google.com ([209.85.218.49]:48370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1dwWy1-0007U5-Cw
 for 28596 <at> debbugs.gnu.org; Mon, 25 Sep 2017 13:14:49 -0400
Received: by mail-oi0-f49.google.com with SMTP id v188so7944058oia.5
 for <28596 <at> debbugs.gnu.org>; Mon, 25 Sep 2017 10:14:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc:content-transfer-encoding;
 bh=JLSATTlvC/XXdTxxKEb3UIxjIuOaau51jM8LMWb5q8M=;
 b=gffXLA0Y8BZY6wFdxsHaYiP31On7WUZ4r23cfM8VyxYyq7WIzfRvLyN+8LmJ6PlKv4
 isEu/o+UYufO/AmXka7Yhb3TS4nbYqzf9wpzpyDaqfiwvx7TzAmHlMLaRZ0N5hMpZLuN
 wsD9V1lOqMaI9ZuQRXAEczWGfwz0XZMSa6tdXG1vk1lEsmrlAR4B0G+oIvdS7yK7LKV6
 QMkHPUCAG44jjx7dk1hpA++KGZoMdYx6aVFX4BPXRezrUr4VxBXi79pY5xG6fpns82E/
 RolKDy2LA4RuSKl+QbPJbOs6PxVoR0vhhyHqr1Mw2xh82RXL1NvokzlkK377iAvUvQnG
 9Yxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-transfer-encoding;
 bh=JLSATTlvC/XXdTxxKEb3UIxjIuOaau51jM8LMWb5q8M=;
 b=ToYm7MQucxNFy5qjX2D5AGXJeq+7KTIltvcq5Lbw6OVj3BtTU4TLUHVdex6ZbUCwiJ
 L9cIrYYFx6tjPXFHPxofayKKaeCCn6gIyYys3+lM+EXvvVn1DxVecHsNQG8EDmoC2HWp
 F/cdbzrUIPKJ0c8vFFaxJ89ofVxEw1Ba5AO9lVdoz4u5HbNO0ic7Pti5rjaToniiOcPx
 2276Dc4WNo0tsj4zaImzqIGEqnSv9jZRIIkiMzmgMu2kibhkfZblmiJCqIYhgD3me9Gk
 QJ/HtkAdieSTA/sTl0FQdbqKxL6ZPL5+O9ONW3jGl91VoN1arL08srdvIKHXMHKIFI2X
 eQcg==
X-Gm-Message-State: AHPjjUiVqQqGBnFX5b/GBHv5uDm83qiZR9Ep33Il86f+7eMe+6xY1xut
 WG0bSkkorDSlkHq1NFt4U+VBIFMoX82Wb7wJUsk=
X-Google-Smtp-Source: AOwi7QAVqlI7Bzb8ji7OkfFz5g1vY/v02eQ5yqXsmFI/F2KMoZEaYieR9Exp5H7mXaueMgv6XrlWXoU1CXOCqZYQkT0=
X-Received: by 10.202.177.68 with SMTP id a65mr9647270oif.65.1506359683786;
 Mon, 25 Sep 2017 10:14:43 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.74.87.196 with HTTP; Mon, 25 Sep 2017 10:14:43 -0700 (PDT)
In-Reply-To: <87k20mq0uq.fsf@HIDDEN>
References: <87k20mq0uq.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Mon, 25 Sep 2017 13:14:43 -0400
X-Google-Sender-Auth: N3vn8uHVqUkXvnN3g6Nuo8Nrj68
Message-ID: <CAM-tV-9tP_QNOiWjw-mHAm-7a2fs10qiiwqUwON1XiP6p1VubA@HIDDEN>
Subject: Re: bug#28596: 26.0.60; [Gnus] Checking mail is no longer reliable
 and C-g no longer quits
To: "N. Jackson" <nljlistbox2@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 28596
Cc: 28596 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On Mon, Sep 25, 2017 at 11:01 AM, N. Jackson <nljlistbox2@HIDDEN> wrote:
> Yesterday I switched from Emacs 25 to the emacs-26 branch. With
> this Gnus hangs (sometimes) when checking mail/news
> (`gnus-group-get-new-news') and then C-g no longer quits -- at
> least not immediately.

Does 'pkill -SIGUSR2 emacs' help? Otherwise running under gdb and
hitting C-z at the gdb terminal should give some more info.

(elisp) Error Debugging

-- User Option: debug-on-event
     If you set =E2=80=98debug-on-event=E2=80=99 to a special event (*note =
Special
     Events::), Emacs will try to enter the debugger as soon as it
     receives this event, bypassing =E2=80=98special-event-map=E2=80=99.  A=
t present,
     the only supported values correspond to the signals =E2=80=98SIGUSR1=
=E2=80=99 and
     =E2=80=98SIGUSR2=E2=80=99 (this is the default).  This can be helpful =
when
     =E2=80=98inhibit-quit=E2=80=99 is set and Emacs is not otherwise respo=
nding.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at 28596 <at> debbugs.gnu.org:


Received: (at 28596) by debbugs.gnu.org; 25 Sep 2017 17:03:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 25 13:03:10 2017
Received: from localhost ([127.0.0.1]:58778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwWmk-0007CC-KM
	for submit <at> debbugs.gnu.org; Mon, 25 Sep 2017 13:03:10 -0400
Received: from mail-io0-f178.google.com ([209.85.223.178]:52264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dwWmi-0007By-Uk
 for 28596 <at> debbugs.gnu.org; Mon, 25 Sep 2017 13:03:09 -0400
Received: by mail-io0-f178.google.com with SMTP id i197so10336013ioe.9
 for <28596 <at> debbugs.gnu.org>; Mon, 25 Sep 2017 10:03:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version; bh=XVf0KqSRadyoU34VOn6GKB4ZCAoROMoLAvzRXHdtCfs=;
 b=dxz7U6BjNqw/qhWDNhRFt5yUkGYP/JQs4TQVd56bXN1lSe8hxmiLT7HYpdRTVz1ZCl
 RBiRYRbqQ3vkO/Itj04W2KyVJYtcdqx3+4PHALrw/tEbL+3UAfUk8LNUvzHDhb1UGaKR
 QzNJ24etlfuOEV1fJWdnheDRMZhdI+WyTJg97vaPo4cCxGAjzp+y4SE/xTCJJRXX2TN4
 xkDigfYIYHKESL0+FT5l1nyetfVTT6VXTOBBtH6mN32vtcPOcfATEDliCL/DeCfcUcGX
 +6U0kkugvbSZS1cT1ezEag9CedVGftcU5YZ2f7KVni4ftdnsmRrKaHe8NdIISH8WX6Dh
 UHmg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=XVf0KqSRadyoU34VOn6GKB4ZCAoROMoLAvzRXHdtCfs=;
 b=ZsWh0yUFrDhiwGVydeHnkmElUThuHyGyqg5CS86nhpsn4Vvi+NXlu1pDz4W5Q7lLPz
 sDmRZnBclvCAOWg0UDotBxkee45es+8PrBDhYZYA2PH/j+LPAZ3vpb7lsgrERgMZOJZr
 JNcA1VG1XPmugs6WSofFtZg7C5uJ87BFr6GjYd1kBCVTQoASxbsR1hQK7QYzxugvqxDw
 eEsXU5saHvoNUnc5yehzsrcpnhOUVEaCideKWBOja9/Ckx6+Nfc6hbPrL/LuHKb6mI9R
 MFN5vqbmq4KYTgxE5o9mSt25odMfV0Mob1mTPq8aO3UTjp3wb8X59JX6jw+LSrXNlvI5
 HdWA==
X-Gm-Message-State: AHPjjUgxVFnOGTwe54/xjINQjBO+yL6IWzHuIgTOB4p88lSv/y2Gfq6J
 T0pqwL7FYlqh0l5DtNX6pkzFpQ==
X-Google-Smtp-Source: AOwi7QAHG1518DtmGQf9QoOZ8xVI5p7Spd5RXcPP8UEEbkBLaHS4ftkUm8KOujhmdxi02L3EgTXidQ==
X-Received: by 10.107.10.141 with SMTP id 13mr10073073iok.302.1506358983026;
 Mon, 25 Sep 2017 10:03:03 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none ([72.143.113.194])
 by smtp.gmail.com with ESMTPSA id g12sm1209551itg.6.2017.09.25.10.03.02
 for <28596 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 25 Sep 2017 10:03:02 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: 28596 <at> debbugs.gnu.org
Subject: Re: bug#28596: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
References: <87k20mq0uq.fsf@HIDDEN>
Date: Mon, 25 Sep 2017 13:03:01 -0400
In-Reply-To: <87k20mq0uq.fsf@HIDDEN> (N. Jackson's message of
 "Mon, 25 Sep 2017 11:01:01 -0400")
Message-ID: <87efquyam2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 28596
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

At 11:01 -0400 on Monday 2017-09-25, N. Jackson wrote:
>
> I think, but am not yet certain, that the problem only occurs when
> checking mail/news after putting Gnus back into the "plugged"
> state after it has been "unplugged". For example, starting Gnus
> with `M-x gnus-unplugged' and then "plugging" it with
> `gnus-agent-toggle-plugged' and then checking mail/news, (maybe)
> seems to create the problem right off the bat.

No. It turns out that this is not sufficient to trigger the bug. But I
still think it might be necessary to have been in the "unplugged" state
for the bug to manifest -- I will report back with more information if
it becomes apparent.

N.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2017 15:01:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 25 11:01:37 2017
Received: from localhost ([127.0.0.1]:58585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwUt5-0004pB-QL
	for submit <at> debbugs.gnu.org; Mon, 25 Sep 2017 11:01:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dwUt3-0004iR-9D
 for submit <at> debbugs.gnu.org; Mon, 25 Sep 2017 11:01:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dwUso-0005rv-6P
 for submit <at> debbugs.gnu.org; Mon, 25 Sep 2017 11:01:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55218)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1dwUso-0005rq-3K
 for submit <at> debbugs.gnu.org; Mon, 25 Sep 2017 11:01:18 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55991)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dwUsf-0002UV-Ti
 for bug-gnu-emacs@HIDDEN; Mon, 25 Sep 2017 11:01:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dwUsb-0005kM-L5
 for bug-gnu-emacs@HIDDEN; Mon, 25 Sep 2017 11:01:10 -0400
Received: from mail-it0-x233.google.com ([2607:f8b0:4001:c0b::233]:47936)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1dwUsb-0005jv-DD
 for bug-gnu-emacs@HIDDEN; Mon, 25 Sep 2017 11:01:05 -0400
Received: by mail-it0-x233.google.com with SMTP id 85so7420507ith.2
 for <bug-gnu-emacs@HIDDEN>; Mon, 25 Sep 2017 08:01:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=1ftkG4Z8VF14nf0J0gGLwKhkUCtDzPjj6Obq7BaktwA=;
 b=oMqnNwZGf9eMyNA9yYRVQWw4RW/ySCGMb4ykzeaXYXUB8Qwr4Cuk6J7XP1vKLyXHDA
 etas8J6uGyDB106vifztyChQQObaanmeU3ZsUxHgcCLYV3c3UAhFQARsxREOPNr9YfYs
 cYS9C4FvR7qsH2hfgxfp8dtYH/DaKovp37HZqsygD89i+TycUJ3VNmY75BYbnfbTFEuY
 65DKDehEv9R+p0PNynHyzgT0Gnlhnyk2z6iTqXqAk7GYqVQ5k78gc3JBKCtL8swfBmlJ
 hIXcvb7MfYgANJConJPJkICklSntwkr88NONw6EEa7g2z9/CoR+LEDtLB9F++v+2S/E8
 KO1Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=1ftkG4Z8VF14nf0J0gGLwKhkUCtDzPjj6Obq7BaktwA=;
 b=gCPL6VsvWxAN23M1j1gr7mbx/qYb2DqnTUh07lzXREHQHJ5/D0v1bPp77ykjuP8q0r
 fSzaRlwvmO1XLFFsmLFs4h+SiKVCU56efUOIrRCVcZIxBKyMkv44Z76LMkDNRimjwXCQ
 BFZx0ybQAi5cKGOck0/7Qpx78U2rf/LAbzO1om2rdJtbxJeMzlMLNA8Q3gZNfiQgr1WH
 5dfrncmGx38T9pAV9yboox9/ey8NOLhe/6thKyPLVWlpK35Wb/ruxWG9MjmvAtRnJduO
 KPTYn5xdQVffBd8WOeAm95Nl+vTFZ/7xAkPJ8lvz5R7FrOVLOyEopT0M+mpZ2RBJ1ZK1
 nmVQ==
X-Gm-Message-State: AHPjjUhNAuE1XPZEzh9Cr0wKLX7lNXTUJZE+tZM4fptIWnUVPi0/i7yu
 EkE1TwfmUB1MmqZoeMz+EWz1yw==
X-Google-Smtp-Source: AOwi7QCdeeQPaV2kxy678Z3E1IvnYBlOWeyQuoaj7x8RFibhcoQ/7+YhDXkUiC08Z0fYFAkHSsNqQg==
X-Received: by 10.36.190.13 with SMTP id i13mr979596itf.114.1506351663645;
 Mon, 25 Sep 2017 08:01:03 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none ([72.143.113.194])
 by smtp.gmail.com with ESMTPSA id g100sm3067953iod.39.2017.09.25.08.01.02
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 25 Sep 2017 08:01:02 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.60;
 [Gnus] Checking mail is no longer reliable and C-g no longer quits
Date: Mon, 25 Sep 2017 11:01:01 -0400
Message-ID: <87k20mq0uq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

Yesterday I switched from Emacs 25 to the emacs-26 branch. With
this Gnus hangs (sometimes) when checking mail/news
(`gnus-group-get-new-news') and then C-g no longer quits -- at
least not immediately.

The hangs are for long enough for Gnome dialogs to appear saying
that Emacs is no longer responding. Eventually control comes back
to Emacs but that might be due to repeated presses of C-g.

I think, but am not yet certain, that the problem only occurs when
checking mail/news after putting Gnus back into the "plugged"
state after it has been "unplugged". For example, starting Gnus
with `M-x gnus-unplugged' and then "plugging" it with
`gnus-agent-toggle-plugged' and then checking mail/news, (maybe)
seems to create the problem right off the bat.

Once the problem occurs, it does not seem to go away: every
subsequent check for mail/news also hangs in the same way. At this
point restarting Gnus (`gnus-group-restart') does NOT fix the
problem, one has to restart Emacs to get Gnus working again.

One clue might be this warning message I'm seeing sporadically in
the *Messages* buffer when the problem happens: "Server [whatever]
previously determined to be down; not retrying". This doesn't
really make sense; just because it was "down" previously (perhaps
my laptop didn't have an Internet connection then) doesn't mean
that it won't be available now.

Note: This does not seem to be the bug [1][2] that has existed
with Gnus for several years where it hangs checking mail/news
after (for example) moving from one WiFi hotspot to another. With
that problem C-g works instantly and it's easy to understand what
state Gnus is in. (And indeed, I have a command (which closes and
re-opens servers) that works around it.) With the new problem, C-g
doesn't seem to work, and trying to understand the state of Gnus
is very confusing.

N.

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16026
[2] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16906


In GNU Emacs 26.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.17)
 of 2017-09-24 built on moondust.localdomain
Repository revision: d93301242f38d3d9aaa55899c07496f0bdecf391
Windowing system distributor 'Fedora Project', version 11.0.11903000
System Description:	Fedora release 25 (Twenty Five)

Configured using:
 'configure --without-pop 'CFLAGS=-O2 -g3 -gdwarf-4''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 LCMS2

Important settings:
  value of $LANG: en_CA.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  csv-field-index-mode: t
  TeX-PDF-mode: t
  diff-auto-refine-mode: t
  flyspell-mode: t
  pdf-occur-global-minor-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  display-battery-mode: t
  display-time-mode: t
  show-paren-mode: t
  savehist-mode: t
  save-place-mode: t
  electric-pair-mode: t
  desktop-save-mode: t
  cl-old-struct-compat-mode: t
  delete-selection-mode: t
  cua-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-contacts hides ~/.emacs.d/modules/org-contacts
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-habit hides /data/projects/vc/emacs/git/emacs/lisp/org/org-habit
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-python hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-python
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-clojure hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-clojure
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-md hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-md
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-macs hides /data/projects/vc/emacs/git/emacs/lisp/org/org-macs
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-groovy hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-groovy
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-odt hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-odt
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-texinfo hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-texinfo
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-protocol hides /data/projects/vc/emacs/git/emacs/lisp/org/org-protocol
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-io hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-io
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-list hides /data/projects/vc/emacs/git/emacs/lisp/org/org-list
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-scheme hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-scheme
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob hides /data/projects/vc/emacs/git/emacs/lisp/org/ob
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-docview hides /data/projects/vc/emacs/git/emacs/lisp/org/org-docview
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-latex hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-latex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-html hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-html
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-ctags hides /data/projects/vc/emacs/git/emacs/lisp/org/org-ctags
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-src hides /data/projects/vc/emacs/git/emacs/lisp/org/org-src
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-octave hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-octave
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-w3m hides /data/projects/vc/emacs/git/emacs/lisp/org/org-w3m
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-bibtex hides /data/projects/vc/emacs/git/emacs/lisp/org/org-bibtex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-eww hides /data/projects/vc/emacs/git/emacs/lisp/org/org-eww
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-info hides /data/projects/vc/emacs/git/emacs/lisp/org/org-info
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-processing hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-processing
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-beamer hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-beamer
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-maxima hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-maxima
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-table hides /data/projects/vc/emacs/git/emacs/lisp/org/org-table
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-R hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-R
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-publish hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-publish
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-mscgen hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-mscgen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-keys hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-keys
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-css hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-css
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-haskell hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-haskell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-picolisp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-picolisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-timer hides /data/projects/vc/emacs/git/emacs/lisp/org/org-timer
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-feed hides /data/projects/vc/emacs/git/emacs/lisp/org/org-feed
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-emacs-lisp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-emacs-lisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-coq hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-coq
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-J hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-J
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-mhe hides /data/projects/vc/emacs/git/emacs/lisp/org/org-mhe
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-exp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-exp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-rmail hides /data/projects/vc/emacs/git/emacs/lisp/org/org-rmail
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-attach hides /data/projects/vc/emacs/git/emacs/lisp/org/org-attach
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-lilypond hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lilypond
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-version hides /data/projects/vc/emacs/git/emacs/lisp/org/org-version
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-makefile hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-makefile
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-sql hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sql
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-lob hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lob
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-abc hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-abc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-java hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-java
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-shell hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-shell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-loaddefs hides /data/projects/vc/emacs/git/emacs/lisp/org/org-loaddefs
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-element hides /data/projects/vc/emacs/git/emacs/lisp/org/org-element
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-ebnf hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ebnf
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-id hides /data/projects/vc/emacs/git/emacs/lisp/org/org-id
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-crypt hides /data/projects/vc/emacs/git/emacs/lisp/org/org-crypt
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org hides /data/projects/vc/emacs/git/emacs/lisp/org/org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-plot hides /data/projects/vc/emacs/git/emacs/lisp/org/org-plot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-ruby hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ruby
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-matlab hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-matlab
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-lua hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lua
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-ditaa hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ditaa
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-irc hides /data/projects/vc/emacs/git/emacs/lisp/org/org-irc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-gnus hides /data/projects/vc/emacs/git/emacs/lisp/org/org-gnus
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-C hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-C
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-lint hides /data/projects/vc/emacs/git/emacs/lisp/org/org-lint
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-comint hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-comint
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-colview hides /data/projects/vc/emacs/git/emacs/lisp/org/org-colview
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-tangle hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-tangle
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-dot hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-dot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-mobile hides /data/projects/vc/emacs/git/emacs/lisp/org/org-mobile
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-eshell hides /data/projects/vc/emacs/git/emacs/lisp/org/org-eshell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-sass hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sass
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-gnuplot hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-gnuplot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-icalendar hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-icalendar
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-man hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-man
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-capture hides /data/projects/vc/emacs/git/emacs/lisp/org/org-capture
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-plantuml hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-plantuml
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-footnote hides /data/projects/vc/emacs/git/emacs/lisp/org/org-footnote
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-sed hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sed
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-clock hides /data/projects/vc/emacs/git/emacs/lisp/org/org-clock
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-js hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-js
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-latex hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-latex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-ascii hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-ascii
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-ref hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ref
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-stan hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-stan
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-ocaml hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ocaml
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-agenda hides /data/projects/vc/emacs/git/emacs/lisp/org/org-agenda
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-indent hides /data/projects/vc/emacs/git/emacs/lisp/org/org-indent
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-core hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-core
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-pcomplete hides /data/projects/vc/emacs/git/emacs/lisp/org/org-pcomplete
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-datetree hides /data/projects/vc/emacs/git/emacs/lisp/org/org-datetree
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-ledger hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ledger
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-shen hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-shen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-entities hides /data/projects/vc/emacs/git/emacs/lisp/org/org-entities
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-macro hides /data/projects/vc/emacs/git/emacs/lisp/org/org-macro
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-forth hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-forth
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-mouse hides /data/projects/vc/emacs/git/emacs/lisp/org/org-mouse
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-sqlite hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sqlite
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox-org hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-screen hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-screen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-asymptote hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-asymptote
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-eval hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-eval
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-archive hides /data/projects/vc/emacs/git/emacs/lisp/org/org-archive
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ox hides /data/projects/vc/emacs/git/emacs/lisp/org/ox
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-org hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-perl hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-perl
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-faces hides /data/projects/vc/emacs/git/emacs/lisp/org/org-faces
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-bbdb hides /data/projects/vc/emacs/git/emacs/lisp/org/org-bbdb
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-compat hides /data/projects/vc/emacs/git/emacs/lisp/org/org-compat
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-lisp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-install hides /data/projects/vc/emacs/git/emacs/lisp/org/org-install
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-awk hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-awk
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-calc hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-calc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/org-inlinetask hides /data/projects/vc/emacs/git/emacs/lisp/org/org-inlinetask
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-table hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-table
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170917/ob-fortran hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-fortran

Features:
(shadow bbdb-message emacsbug sendmail eieio-opt speedbar sb-image
ezimage dframe help-fns radix-tree smiley gnus-cite gnus-async
gnus-bcklg qp mail-extr gnus-ml disp-table hl-line mm-archive url-http
url-gw url-cache url-auth nnrss mm-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
nndraft nnmh utf-7 server pinentry epa-file network-stream nsm starttls
nnfolder bbdb-gnus bbdb-mua nnnil gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg nntp gnus-cache cl-extra help-mode
plain-tex ox-koma-letter ox-odt rng-loc rng-uri rng-parse rng-match
rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util
ox-icalendar ox-html table ox-beamer ox-latex ox-ascii ox-publish ox
latexenc preview prv-emacs font-latex tex-mode sh-script smie executable
csv-mode sort make-mode tex-buf latex tex-ispell tex-style tex-info tex
dbus xml texinfo view vc-git diff-mode map flyspell ispell pdf-occur
ibuf-ext ibuffer ibuffer-loaddefs tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet pdf-isearch let-alist pdf-misc imenu
pdf-tools compile cus-edit pdf-view bookmark pp pdf-cache pdf-info tq
pdf-util org-contacts org-capture gnus-art mm-uu mml2015 mm-view
mml-smime smime dig mailcap gnus-sum gnus-group gnus-undo gnus-start
gnus-cloud nnimap nnmail mail-source tls gnutls utf7 netrc nnoo
parse-time gnus-spec gnus-int gnus-range message subr-x puny rfc822 mml
mml-sec epa derived epg mm-decode mm-bodies mm-encode mail-parse rfc2231
gmm-utils mailheader gnus-win gnus nnheader org-duration org-eldoc
org-w3m org-rmail org-mhe org-irc org-info org-habit org-gnus gnus-util
rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils org-docview doc-view jka-compr image-mode dired-x dired
dired-loaddefs org-bibtex bibtex org-bbdb org-agenda org-element
avl-tree generator org advice org-macro org-footnote org-pcomplete
org-list org-faces org-entities noutline outline easy-mmode org-version
ob-shell shell pcomplete ob-R ob-python ob-plantuml ob-org ob-gnuplot
ob-ditaa ob-calc calc-store calc-trail calc-ext calc calc-loaddefs
calc-macs ob-awk ob-dot ob-maxima ob-latex ob-emacs-lisp ob ob-tangle
org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint comint
ansi-color ring ob-core ob-eval org-compat org-macs org-loaddefs
format-spec find-func bbdb-anniv diary-lib diary-loaddefs cal-menu
calendar cal-loaddefs bbdb-com crm mailabbrev bbdb bbdb-site timezone
bbdb-loaddefs finder-inf tex-site info package epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars ido seq byte-opt gv bytecomp byte-compile cconv
edmacro kmacro recentf tree-widget wid-edit easymenu battery time
wheatgrass-theme paren savehist saveplace elec-pair desktop frameset
cl-loaddefs cl-lib delsel cua-base cus-start cus-load time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 682618 99606)
 (symbols 48 110174 2)
 (miscs 40 23304 3937)
 (strings 32 204611 7770)
 (string-bytes 1 6851130)
 (vectors 16 58096)
 (vector-slots 8 1048921 35174)
 (floats 8 513 884)
 (intervals 56 30122 0)
 (buffers 992 106))




Acknowledgement sent to nljlistbox2@HIDDEN (N. Jackson):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28596; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.